<?php
function tamarind_generate_background_css ($the_image) {
	$background_tag = false;
	if ($the_image) {
		if ($the_image<>'') {
			$background_tag = '.site-back-cover { background-image: url('.esc_url($the_image).'); }';
		}
	}
	if ( is_404() ) {
		$background_tag .= '.error404 .container-wrapper{ background: none; }';
	}
	return $background_tag;
}
$dynamic_css='';
if ( is_singular() ) {
	$bg_choice= get_post_meta( get_the_id(), 'tamarind_meta_background_choice', true);
	$image_link=tamarind_featured_image_link( get_the_id() );

	$page_data = get_post_custom( get_the_id() );
	if (isSet($page_data['pagemeta_pagestyle'][0])) {
		$pagestyle = $page_data['pagemeta_pagestyle'][0];
		if ($pagestyle=='split-page') {
			$split_page_image_url = tamarind_featured_image_link( get_the_id() );
			if ( isSet($split_page_image_url) ) {
				$dynamic_css .= '.split-page-image { background-image: url('.esc_url($split_page_image_url).'); }';
			}
		}
	}
	if ( post_password_required () && is_singular('mtheme_events') ) {
		$image_link=tamarind_featured_image_link( get_the_id() );
		$dynamic_css .= tamarind_generate_background_css ($image_link);
	}
	if ( post_password_required () && is_singular('mtheme_portfolio') ) {
		$image_link=tamarind_featured_image_link( get_the_id() );
		$dynamic_css .= tamarind_generate_background_css ($image_link);
	}
	if ( post_password_required () && is_singular('mtheme_featured') ) {
		$image_link=tamarind_featured_image_link( get_the_id() );
		$dynamic_css .= tamarind_generate_background_css ($image_link);
	}
}
if ( is_404() ) {
	$bg_choice= 'featured_image';
	$image_link = tamarind_get_option_data('general_404_image');

	$text_404_color = tamarind_get_option_data('text_404_color');
	if ($text_404_color) {
		$dynamic_css .= '
		.mtheme-404-wrap .mtheme-404-error-message1,
		.entry-content .mtheme-404-wrap h4,
		.mtheme-404-wrap .mtheme-404-icon i,
		.mtheme-404-wrap #searchbutton i,
		.mtheme-404-wrap #searchform input { color:'.$text_404_color.';}';

		$dynamic_css .= tamarind_change_class('.mtheme-404-wrap #searchform input','border-color',$text_404_color,'');
	}
}

$dashboard_background_color = tamarind_get_option_data('dashboard_background_color');
$dashboard_background_image = tamarind_get_option_data('dashboard_background_image');

if ( isSet($dashboard_background_color) || isSet($dashboard_background_image) ) {
	if ( $dashboard_background_color <> '' ) {
		$dashboard_background_color_rgb=tamarind_hex2RGB($dashboard_background_color,true);
		$dynamic_css .= '.sidebarinfo-menu { background-color:rgba('. $dashboard_background_color_rgb .', 0.95); }';
	}
	if ( $dashboard_background_image <>'' ) {
		$dynamic_css .= '.sidebarinfo-menu:before { background-image: url('.esc_url($dashboard_background_image).'); }';
	}
}

if (!isSet($bg_choice) ) {
	$bg_choice='options_image';
}

if (isSet($fullscreen_slideshowpost)) {
	if ($fullscreen_slideshowpost != 'none' && $fullscreen_slideshowpost<>'') {
		$bg_choice='Fullscreen Post Slideshow';
	}
}
if ( is_archive() || is_search() ) {
	if (!isSet( $_GET['photostock'] ) ) {
		$image_link= tamarind_get_option_data('general_background_image');
		$dynamic_css .= tamarind_generate_background_css ($image_link);
	}
}

if ( tamarind_page_is_woo_shop() ) {
	$woo_shop_post_id = get_option( 'woocommerce_shop_page_id' );
	$bg_choice= get_post_meta($woo_shop_post_id, 'pagemeta_meta_background_choice', true);
	$image_link=tamarind_featured_image_link($woo_shop_post_id);
}
if ( is_singular('mtheme_proofing') ) {
	$client_id = get_post_meta( get_the_id() , 'pagemeta_client_names', true);
	if ( isSet($client_id) ) {
		if ( post_password_required($client_id) ) {
			$client_background_image_id = get_post_meta( $client_id , 'pagemeta_client_background_image', true);
			if (isSet($client_background_image_id)) {
				$image_link=$client_background_image_id;
				$dynamic_css .= tamarind_generate_background_css ($image_link);
			}
		}
	}
}
if ( is_singular('mtheme_clients') ) {
	if ( post_password_required() ) {
		$bg_choice='featured_image';
		$client_background_image_id = get_post_meta( get_the_id() , 'pagemeta_client_background_image', true);
		if (isSet($client_background_image_id)) {
			$image_link=$client_background_image_id;
			$dynamic_css .= tamarind_generate_background_css ($image_link);
		} else {
			$image_link = '';
		}
	}
}
if ( !tamarind_is_fullscreen_home()) {
	if ($bg_choice != 'none') {
		switch ($bg_choice) {
			case 'featured_image' :
				$dynamic_css .= tamarind_generate_background_css ($image_link);
			break;
		}
	}
}
?>
<?php
$heading_classes='
button,
#footer h3,
.entry-content h3.food-item-title, h3.food-item-title,
.entry-content .heading-block h3,
.entry-content .work-details h4,
.woocommerce .product h1,
.woocommerce .product h2,
.woocommerce .product h3,
.woocommerce .product h4,
.woocommerce .product h5,
.woocommerce .product h6,
.entry-title-wrap h1,
.entry-content h1,
.entry-content h2,
.entry-content h3,
.entry-content h4,
.entry-content h5,
.entry-content h6,
.blog-grid-element-content .work-details h4,
.blog-grid-element-content .work-details h4 a,
.gridblock-grid-element .boxtitle-hover a,
.homemenu .sf-menu .mega-item .children-depth-0 h6,
.work-details h4 a,
.work-details h4,
.proofing-client-title,
.comment-reply-title,
.woocommerce ul.products li.product h3,
.woocommerce-page ul.products li.product h3,
h1,
h2,
h3,
h4,
h5,
h6,
.sidebar h3,
.entry-title h1,
.portfolio-end-block h2.section-title';

$page_contents_classes='
body,
#copyright,
.button-blog-continue,
.button-blog-continue a,
input,textarea,
.pricing-wrap,
.pricing-table .pricing-row,
.entry-content,
.mtheme-button,
.sidebar-widget,
ul.vertical_images .vertical-images-title,
.section-description, .entry-title-subheading,
#password-protected label,
.wpcf7-form p,
.entry-content .testimonial-say p,
.postsummarywrap, .postsummarywrap a,
.pagination a, .pagination span.current,
.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce nav.woocommerce-pagination ul li span,
.homemenu .sf-menu .megamenu-textbox,
.mtheme-lightbox .lg-sub-html
';

$hero_title_class = '.hero-text-wrap .hero-title,.hero-text-wrap .hero-subtitle';

$slideshow_title_classes = '.slideshow_title, .static_slideshow_title,.slideshow_title, h1.slideshow_title';
$slideshow_caption_classes = '.slideshow_caption, .static_slideshow_caption';
//Font
if (tamarind_get_option_data('default_googlewebfonts')) {
	$dynamic_css .= tamarind_apply_font ( 'page_contents' , $page_contents_classes );
	$dynamic_css .= tamarind_apply_font ( 'heading_font' , $heading_classes );
	$dynamic_css .= tamarind_apply_font ( 'menu_font' , '.homemenu .sf-menu a, .homemenu .sf-menu,.homemenu .sf-menu ul li a,.responsive-mobile-menu ul.mtree > li > a,.responsive-mobile-menu,.vertical-menu ul.mtree,.vertical-menu ul.mtree a,.vertical-menu ul.mtree > li > a' );
	$dynamic_css .= tamarind_apply_font ( 'super_title' , $slideshow_title_classes );
	$dynamic_css .= tamarind_apply_font ( 'super_caption' , $slideshow_caption_classes );
	$dynamic_css .= tamarind_apply_font ( 'hero_title' , $hero_title_class );
}
// Preloader
$preloader_color=tamarind_get_option_data('preloader_color');
if ($preloader_color<>'') {
	$dynamic_css .= 'span.coverdots-element { background: '.$preloader_color.'; }';
}
$preloader_bgcolor=tamarind_get_option_data('preloader_bgcolor');
if ($preloader_bgcolor<>'') {
	$dynamic_css .= '.preloader-cover-screen { background-color: '.$preloader_bgcolor.'; }';
}
$preloader_logo = tamarind_get_option_data('preloader_logo');
if ($preloader_logo <> '') {
	$dynamic_css .= '.preloader-cover-logo { background-image: url('.esc_url($preloader_logo).'); }';
}
$preloader_logo_width = tamarind_get_option_data('preloader_logo_width');
if ($preloader_logo_width <> 0) {
	$dynamic_css .= '.preloader-cover-logo { background-size:'.$preloader_logo_width.'px auto; }';
}
//Logo
$logo_height=tamarind_get_option_data('logo_height');
if ($logo_height) {
	$dynamic_css .= '.menu-is-horizontal .logo img { height: '.$logo_height.'px; }';
}
$logo_topmargin=tamarind_get_option_data('logo_topmargin');
if ($logo_topmargin) {
	$dynamic_css .= '.split-menu.menu-is-horizontal .logo img,.center-logo.menu-is-horizontal .logo img,.menu-is-horizontal .logo img { padding-top: '.$logo_topmargin.'px; }';
}
$logo_leftmargin=tamarind_get_option_data('logo_leftmargin');
if ($logo_leftmargin <> '0') {
	$dynamic_css .= '.split-menu.menu-is-horizontal .logo img,.center-logo.menu-is-horizontal .logo img,.menu-is-horizontal .logo img { padding-left: '.$logo_leftmargin.'px; }';
}
//StockPhoto background archive
$stockphoto_header_archiveimage=tamarind_get_option_data('stockphoto_header_archiveimage');
if ($stockphoto_header_archiveimage<>'') {
	$dynamic_css .= '.archive .stockheader-wrap, .tax-phototag .stockheader-wrap, .searching-for-photostock-term .stockheader-wrap { background-image: url('.esc_url($stockphoto_header_archiveimage).'); }';
}
$general_background_color= tamarind_get_option_data('general_background_color');
if ( $general_background_color<>'' ) {
	$dynamic_css .= 'body { background-color: '.$general_background_color.'; }';
}
//Vertical Menu Logo
$verticalmenu_bgimage=tamarind_get_option_data('verticalmenu_bgimage');
if ($verticalmenu_bgimage) {
	$dynamic_css .= '.vertical-menu, .simple-menu, .theme-is-light .vertical-menu, .theme-is-light .simple-menu { background: url('.esc_url($verticalmenu_bgimage).'); }';
}
$vlogo_width=tamarind_get_option_data('vlogo_width');
if ($vlogo_width) {
	$dynamic_css .= '.vertical-logoimage { width: '.$vlogo_width.'px; }';
}
$vlogo_topmargin=tamarind_get_option_data('vlogo_topmargin');
if ($vlogo_topmargin) {
	$dynamic_css .= '.vertical-logoimage { margin-top: '.$vlogo_topmargin.'px; }';
}
$vlogo_leftmargin=tamarind_get_option_data('vlogo_leftmargin');
if ($vlogo_leftmargin) {
	$dynamic_css .= '.vertical-logoimage { margin-left: '.$vlogo_leftmargin.'px; }';
}
$responsive_logo_width = tamarind_get_option_data('responsive_logo_width');
if ($responsive_logo_width) {
	$dynamic_css .= '.logo-mobile .logoimage { width: '.$responsive_logo_width.'px; }';
	$dynamic_css .= '.logo-mobile .logoimage { height: auto; }';
}
$responsive_logo_topmargin = tamarind_get_option_data('responsive_logo_topmargin');
if ($responsive_logo_topmargin) {
	$dynamic_css .= '.logo-mobile .logoimage { top: '.$responsive_logo_topmargin.'px; }';
}

$accent_item_color = '
.food-notice,
.gridblock-element .food-purchase-item a,
.heading-block h3,
.section-heading h5,
.photocard-wrap-type-one .photocard-content-wrap.photocard-dark h3.section-subtitle,
.photocard-wrap-type-one .photocard-content-wrap.photocard-default h3.section-subtitle,
.photocard-wrap-type-one .photocard-content-wrap.photocard-bright .heading-block h3,
.photocard-wrap-type-one .photocard-content-wrap.photocard-dark .heading-block h3,
.photocard-wrap-type-one .photocard-content-wrap.photocard-default .heading-block h3,
.entry-content > a:hover,
.entry-content p > a:hover,
.project-details a,
.post-single-tags a:hover,
.post-meta-category a:hover,
.post-single-meta a:hover,
.post-navigation a:hover,
.entry-post-title h2 a:hover,
.comment-reply-title small a,
.header-shopping-cart a:hover,
#gridblock-filter-select i,
.entry-content .blogpost_readmore a,
.pricing-table .pricing_highlight .pricing-price,
#wp-calendar tfoot td#prev a,
#wp-calendar tfoot td#next a,
.footer-widget .widget_nav_menu a:hover,
.entry-content .faq-toggle-link:before,
.mtheme-knowledgebase-archive ul li:before,
.like-vote-icon,
.readmore-service a:hover,
.work-details h4 a:hover,
.service-content h4 a:hover,
.postsummarywrap a:hover,
.toggle-menu-list li a:hover,
#footer a:hover,
.nav-previous a:hover,
.nav-next a:hover,
.nav-lightbox a:hover,
.entry-content .entry-post-title h2 a:hover,
.woocommerce .mtheme-woocommerce-description-wrap a.add_to_cart_button:hover,
.woocommerce ul.products li.product h3 a:hover,
.woocommerce-page ul.products li.product h3 a:hover,
.woocommerce .woocommerce-info a,
.tagcloud a:hover,
#footer .tagcloud a:hover,
#events_list .recentpost_info .recentpost_title:hover,
#recentposts_list .recentpost_info .recentpost_title:hover,
#popularposts_list .popularpost_info .popularpost_title:hover,
.mtheme-events-carousel .slideshow-box-title a:hover,
.woocommerce .product_meta a:hover,
ul.mtree li.mtree-open > a:hover,
ul.mtree li.mtree-open > a,
ul.mtree li.mtree-active > a:hover,
.header-is-simple.theme-is-light .simple-menu ul.mtree li.mtree-open > a,
.header-is-simple.theme-is-light .simple-menu ul.mtree li.mtree-open > a:hover,
.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-open > a:hover,
.theme-is-light .simple-menu ul.mtree li.mtree-open > a,
ul.mtree li.mtree-active > a,
.entry-content .service-content h4 a:hover,
.slideshow-box-content .slideshow-box-title a:hover,
.project-details-link a:hover,
.entry-content .text-is-dark a:hover,
.event-icon-sep,
.header-is-opaque .social-sharing-toggle:hover i,
.header-is-opaque.fullscreen-slide-dark .social-sharing-toggle:hover i,
.header-is-opaque .stickymenu-zone .social-sharing-toggle:hover i,
.mtheme-lightbox .lg-toolbar .lg-icon:hover,
.mtheme-lightbox .lg-actions .lg-next:hover,
.mtheme-lightbox .lg-actions .lg-prev:hover,
.cart-elements .cart-title:hover,
.theme-is-light .vertical-menu ul.mtree li.mtree-open > a,
#gridblock-filters li a:hover';

$accent_item_background = '
.entry-content .wp-accordion h3.ui-accordion-header a,
.entry-content .ui-accordion-header.ui-state-default a,
.entry-content .wp-accordion h3.ui-accordion-header,
#gridblock-container .proofing-item-selected .gridblock-grid-element:before,
.pagination span.current,
.pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li span.current';

$accent_item_border_color = '
.food-notice,
h5.entry-sub-title:after,
.entry-content .photocard-subtitle:after,
.entry-content h5.entry-sub-title:after,
h5.entry-sub-title:before,
.entry-content .photocard-subtitle:before,
.entry-content h5.entry-sub-title:before,
.homemenu ul ul,
.map-pin::before,
.map-pin::after,
.proofing-selected-marker,
.pagination span.current,
.pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li span.current';

$accent_color=tamarind_get_option_data('accent_color');
if ($accent_color) {
	$dynamic_css .= tamarind_change_class($accent_item_color,'color',$accent_color,'');
	$dynamic_css .= tamarind_change_class($accent_item_background,'background-color',$accent_color,'');
	$dynamic_css .= tamarind_change_class($accent_item_border_color,'border-color',$accent_color,'');
}
// Menu colors

$menubar_backgroundcolor=tamarind_get_option_data('menubar_backgroundcolor');
$menubar_backgroundcolor_rgb=tamarind_hex2RGB($menubar_backgroundcolor,true);

$menubar_backgroundopacity ='0.8';
$sticky_menubar_backgroundopacity ='0.8';
$custom_menubar_backgroundopacity=tamarind_get_option_data('menubar_backgroundopacity');
if (isSet($custom_menubar_backgroundopacity) &&  $custom_menubar_backgroundopacity<>'') {
	$menubar_backgroundopacity=$custom_menubar_backgroundopacity/100;
}

$stickymenubar_backgroundopacity=tamarind_get_option_data('stickymenubar_backgroundopacity');
if (isSet($stickymenubar_backgroundopacity) &&  $stickymenubar_backgroundopacity<>'') {
	$sticky_menubar_backgroundopacity=$stickymenubar_backgroundopacity/100;
}

if ($menubar_backgroundcolor<>'') {
	$dynamic_css .= '.header-type-overlay.stickymenu-active.menu-is-horizontal .outer-wrap.stickymenu-zone, .header-type-default.stickymenu-active.menu-is-horizontal .outer-wrap.stickymenu-zone, .header-type-default.menu-is-horizontal .outer-wrap, .header-type-overlay .outer-wrap, .header-type-overlay-bright .outer-wrap, .fullscreen-slide-bright .outer-wrap { background:rgba('. $menubar_backgroundcolor_rgb .','.$menubar_backgroundopacity.'); }';
	$dynamic_css .= '.menu-is-horizontal .menu-social-header { border-color:rgba(255,255,255, 0.1); }';
}
$menu_linkcolor=tamarind_get_option_data('menu_linkcolor');
if ($menu_linkcolor) {
	$dynamic_css .= tamarind_change_class('.homemenu ul li a,.outer-wrap .social-header-wrap,.outer-wrap .social-header-wrap ul li.contact-text i,.outer-wrap .header-cart i,.outer-wrap .menu-social-header .social-header-wrap ul li.social-icon i, .header-type-overlay .menu-social-header .social-header-wrap,.header-type-overlay .menu-social-header .social-header-wrap ul li.contact-text i,.stickymenu-active.header-type-overlay .header-cart i,.social-sharing-toggle , .menu-social-header .social-header-wrap ul li.contact-text a','color',$menu_linkcolor,'');
	$dynamic_css .= tamarind_change_class('.stickymenu-active.page-is-not-fullscreen .homemenu ul:first-child > li > a','color',$menu_linkcolor,'');

	$dynamic_css .= tamarind_change_class('.inverse-sticky.stickymenu-active.page-is-not-fullscreen .homemenu ul:first-child > li > a, .header-type-overlay.fullscreen-slide-bright .homemenu ul:first-child > li > a, .header-type-overlay .homemenu ul:first-child > li > a, .header-type-overlay-bright .homemenu ul:first-child > li > a, .header-type-overlay.fullscreen-slide-bright .homemenu ul:first-child > li > a, .inverse-sticky.stickymenu-active.page-is-not-fullscreen .menu-social-header .social-header-wrap .social-icon i, .inverse-sticky.stickymenu-active.page-is-not-fullscreen .menu-social-header .social-header-wrap .contact-text a, .inverse-sticky.stickymenu-active.page-is-not-fullscreen .social-sharing-toggle, .header-type-overlay .menu-social-header .social-header-wrap .social-icon i, .header-type-overlay .menu-social-header .social-header-wrap .contact-text a, .header-type-overlay .social-sharing-toggle, .header-type-overlay-bright .menu-social-header .social-header-wrap .social-icon i, .header-type-overlay-bright .menu-social-header .social-header-wrap .contact-text a, .header-type-overlay-bright .social-sharing-toggle, .header-type-overlay.fullscreen-slide-bright .menu-social-header .social-header-wrap .social-icon i, .header-type-overlay.fullscreen-slide-bright .menu-social-header .social-header-wrap .contact-text a, .header-type-overlay.fullscreen-slide-bright .social-sharing-toggle, .header-is-transparent-invert .menu-social-header .social-header-wrap .social-icon i, .header-is-transparent-invert .menu-social-header .social-header-wrap .contact-text a, .header-is-transparent-invert .social-sharing-toggle','color',$menu_linkcolor,'');

	$dynamic_css .= tamarind_change_class('.sidebar-toggle-menu-open .sidebar-toggle-menu-trigger span::before, .sidebar-toggle-menu-open .sidebar-toggle-menu-trigger span::after, .sidebar-toggle-menu-open .sidebar-toggle-menu-trigger span, .header-type-overlay .sidebar-toggle-menu-trigger span::before, .header-type-overlay .sidebar-toggle-menu-trigger span::after, .header-type-overlay .sidebar-toggle-menu-trigger span, .fullscreen-slide-bright .sidebar-toggle-menu-trigger span::before, .fullscreen-slide-bright .sidebar-toggle-menu-trigger span::after, .fullscreen-slide-bright .sidebar-toggle-menu-trigger span','background-color',$menu_linkcolor,'');
}

$resbutton_color=tamarind_get_option_data('resbutton_color');
if ($resbutton_color) {
	$dynamic_css .= tamarind_change_class('.reservation-button-wrap .mtheme-button','color',$resbutton_color,'');
	$dynamic_css .= tamarind_change_class('.reservation-button-wrap .mtheme-button','border-color',$resbutton_color,'');
}
$resbuttonhover_color=tamarind_get_option_data('resbuttonhover_color');
if ($resbuttonhover_color) {
	$dynamic_css .= tamarind_change_class('.reservation-button-wrap .mtheme-button:hover','background',$resbuttonhover_color,'');
	$dynamic_css .= tamarind_change_class('.reservation-button-wrap .mtheme-button:hover','border-color',$resbuttonhover_color,'');
}
$resbuttonhovertext_color=tamarind_get_option_data('resbuttonhovertext_color');
if ($resbuttonhovertext_color) {
	$dynamic_css .= tamarind_change_class('.reservation-button-wrap .mtheme-button:hover','color',$resbuttonhovertext_color,'');
}
$menutopbar_color=tamarind_get_option_data('menutopbar_color');
if ($menutopbar_color) {
	$dynamic_css .= tamarind_change_class('.homemenu ul ul','border-color',$menutopbar_color,'important');
}
$megamenuheading_color=tamarind_get_option_data('megamenuheading_color');
if ($megamenuheading_color) {
	$dynamic_css .= tamarind_change_class('.homemenu .sf-menu .mega-item .children-depth-0 h6','color',$megamenuheading_color,'important');
}
$currentmenu_linkcolor=tamarind_get_option_data('currentmenu_linkcolor');
if ($currentmenu_linkcolor) {
	$dynamic_css .= tamarind_change_class('.homemenu li.current-menu-parent > a, .homemenu li.current-menu-parent > li > a, .homemenu li.current-menu-item > a, .homemenu li.current-menu-item > li > a','color',$currentmenu_linkcolor,'important');
}
$currentmenusubcat_linkcolor=tamarind_get_option_data('currentmenusubcat_linkcolor');
if ($currentmenusubcat_linkcolor) {
	$dynamic_css .= tamarind_change_class('.homemenu ul li ul li.current-menu-parent > a, .homemenu ul li ul li.current-menu-parent > li > a, .homemenu ul li ul li.current-menu-item > a, .homemenu ul li ul li.current-menu-item > li > a','color',$currentmenusubcat_linkcolor,'important');
}

$menusubcat_bgcolor=tamarind_get_option_data('menusubcat_bgcolor');
if ($menusubcat_bgcolor) {
	$dynamic_css .= tamarind_change_class('.homemenu .sf-menu .mega-item .children-depth-0, .homemenu ul ul','background',$menusubcat_bgcolor,'');
}

$menusubcat_linkcolor=tamarind_get_option_data('menusubcat_linkcolor');
if ($menusubcat_linkcolor) {
	$dynamic_css .= tamarind_change_class('.mainmenu-navigation .homemenu ul ul li a','color',$menusubcat_linkcolor,'');
}

$menusubcat_linkhovercolor=tamarind_get_option_data('menusubcat_linkhovercolor');
if ($menusubcat_linkhovercolor) {
	$dynamic_css .= tamarind_change_class('.mainmenu-navigation .homemenu ul ul li:hover>a','color',$menusubcat_linkhovercolor,'');
}
$menu_search_color=tamarind_get_option_data('menu_search_color');
if ($menu_search_color) {
	$dynamic_css .= tamarind_change_class('.header-search i.icon-search,.header-search i.icon-remove','color',$menu_search_color,'');
}
$menu_search_hovercolor=tamarind_get_option_data('menu_search_hovercolor');
if ($menu_search_hovercolor) {
	$dynamic_css .= tamarind_change_class('.header-search i.icon-search:hover,.header-search i.icon-remove:hover','color',$menu_search_hovercolor,'');
}

// Vertical Menu
$vmenubar_bgcolor=tamarind_get_option_data('vmenubar_bgcolor');
$vmenubar_bgcolor_rgba=tamarind_hex2RGB($vmenubar_bgcolor,true);
if ($vmenubar_bgcolor) {
	$more_menuClasses = '.theme-is-light .vertical-menu, .theme-is-light .simple-menu, .theme-is-light .responsive-mobile-menu,';
	$more_menuClasses .= '.theme-is-dark .vertical-menu, .theme-is-dark .simple-menu, .theme-is-dark .responsive-mobile-menu';
	$dynamic_css .= $more_menuClasses .' { background:rgba('. $vmenubar_bgcolor_rgba .',1); }';
}
$vmenubar_linkcolor=tamarind_get_option_data('vmenubar_linkcolor');
if ($vmenubar_linkcolor) {
	$dynamic_css .= tamarind_change_class('.theme-is-light .vertical-menu ul.mtree li li a,.theme-is-dark .vertical-menu ul.mtree li li a,.theme-is-light .vertical-menu ul.mtree a,.theme-is-dark .vertical-menu ul.mtree a,.vertical-menu ul.mtree > li > a, .vertical-menu ul.mtree li.mtree-node > a:before,.theme-is-light .vertical-menu ul.mtree li.mtree-node > a::before,.vertical-menu ul.mtree a','color',$vmenubar_linkcolor,'');
}
$vmenubar_linkhovercolor=tamarind_get_option_data('vmenubar_linkhovercolor');
if ($vmenubar_linkhovercolor) {
	$dynamic_css .= tamarind_change_class('.vertical-menu ul.mtree li > a:hover,.vertical-menu .social-header-wrap ul li.social-icon:hover i','color',$vmenubar_linkhovercolor,'');
}
$vmenubar_linkactivecolor=tamarind_get_option_data('vmenubar_linkactivecolor');
if ($vmenubar_linkactivecolor) {
	$dynamic_css .= tamarind_change_class('.vertical-menu ul.mtree li.mtree-active.mtree-open > a,.vertical-menu ul.mtree li.mtree-active.mtree-open > a:hover','color',$vmenubar_linkactivecolor,'');
}
$vmenubar_socialcolor=tamarind_get_option_data('vmenubar_socialcolor');
if ($vmenubar_socialcolor) {
	$dynamic_css .= tamarind_change_class('.vertical-menu .social-header-wrap ul li.social-icon i,.vertical-menu .social-header-wrap ul li.contact-text,.vertical-menu .social-header-wrap ul li.contact-text a','color',$vmenubar_socialcolor,'');
}
$vmenubar_copyrightcolor=tamarind_get_option_data('vmenubar_copyrightcolor');
if ($vmenubar_copyrightcolor) {
	$dynamic_css .= tamarind_change_class('.vertical-footer-wrap .fullscreen-footer-info','color',$vmenubar_copyrightcolor,'');
	$dynamic_css .= '.vertical-footer-wrap .fullscreen-footer-info { border-top-color:'. $vmenubar_copyrightcolor .'; }';
}
$vmenubar_hlinecolor=tamarind_get_option_data('vmenubar_hlinecolor');
if ($vmenubar_hlinecolor) {
	$dynamic_css .= '.vertical-menu ul.mtree a,ul.mtree li.mtree-node > ul > li:last-child { border-bottom-color:'. $vmenubar_hlinecolor .'; }';
}
$vmenubar_footercolor=tamarind_get_option_data('vmenubar_footercolor');
if ($vmenubar_footercolor) {
	$dynamic_css .= '.menu-is-vertical .vertical-footer-copyright, .menu-is-vertical .vertical-footer-wrap .social-icon a, .menu-is-vertical .vertical-footer-wrap .social-icon i, .menu-is-vertical .vertical-footer-wrap .social-header-wrap ul li.social-icon i, .menu-is-vertical .vertical-footer-wrap .social-header-wrap ul li.contact-text a { color:'. $vmenubar_footercolor .'; }';
}

$footer_logo_width=tamarind_get_option_data('footer_logo_width');
if ($footer_logo_width) {
	if ($footer_logo_width<>'0') {
		$dynamic_css .= '.footer-logo-image { width:'. $footer_logo_width .'px !important; height: auto !important; }';
	}
}

$vmenu_active_itemcolor=tamarind_get_option_data('vmenu_active_itemcolor');
if ($vmenu_active_itemcolor) {
	$dynamic_css .= tamarind_change_class('ul.mtree li.mtree-open > a:hover, ul.mtree li.mtree-open > a','color',$vmenu_active_itemcolor,'');
}
$vmenu_itemcolor=tamarind_get_option_data('vmenu_itemcolor');
if ($vmenu_itemcolor) {
	$dynamic_css .= tamarind_change_class('ul.mtree a','color',$vmenu_itemcolor,'');
}
$vmenu_hover_itemcolor=tamarind_get_option_data('vmenu_hover_itemcolor');
if ($vmenu_hover_itemcolor) {
	$dynamic_css .= tamarind_change_class('ul.mtree li> a:hover,ul.mtree li.mtree-active > a:hover,ul.mtree li.mtree-active > a','color',$vmenu_hover_itemcolor,'');
}
$vmenu_search_itemcolor=tamarind_get_option_data('vmenu_search_itemcolor');
if ($vmenu_search_itemcolor) {
	$dynamic_css .= tamarind_change_class('.menu-is-vertical .header-search i','color',$vmenu_search_itemcolor,'');
}
$vmenubar_socialcolor=tamarind_get_option_data('vmenubar_socialcolor');
if ($vmenubar_socialcolor) {
	$dynamic_css .= tamarind_change_class('.menu-is-vertical .vertical-footer-wrap .social-icon a, .menu-is-vertical .vertical-footer-wrap .social-icon i, .menu-is-vertical .vertical-footer-wrap .social-header-wrap ul li.social-icon i, .menu-is-vertical .vertical-footer-wrap .social-header-wrap ul li.contact-text a','color',$vmenubar_socialcolor,'');
}


// Slideshow Color

$slideshow_title=tamarind_get_option_data('slideshow_title');
if ($slideshow_title) {
	$dynamic_css .= tamarind_change_class( '.slideshow_title', 'color',$slideshow_title,'' );
}
$slideshow_captiontxt=tamarind_get_option_data('slideshow_captiontxt');
if ($slideshow_captiontxt) {
	$dynamic_css .= tamarind_change_class( '#slidecaption .slideshow_caption', 'color',$slideshow_captiontxt,'' );
}
$slideshow_buttontxt=tamarind_get_option_data('slideshow_buttontxt');
if ($slideshow_buttontxt) {
	$dynamic_css .= tamarind_change_class( '.slideshow_content_link a, .static_slideshow_content_link a', 'color',$slideshow_buttontxt,'' );
}
$slideshow_buttonborder=tamarind_get_option_data('slideshow_buttonborder');
if ($slideshow_buttonborder) {
	$dynamic_css .= tamarind_change_class( '.slideshow_content_link a, .static_slideshow_content_link a', 'border-color',$slideshow_buttonborder,'' );
}
$slideshow_buttonhover_text=tamarind_get_option_data('slideshow_buttonhover_text');
if ($slideshow_buttonhover_text) {
	$dynamic_css .= tamarind_change_class( '.slideshow_content_link a:hover, .static_slideshow_content_link a:hover', 'color',$slideshow_buttonhover_text,'' );
}
$slideshow_buttonhover_bg=tamarind_get_option_data('slideshow_buttonhover_bg');
if ($slideshow_buttonhover_bg) {
	$dynamic_css .= tamarind_change_class( '.slideshow_content_link a:hover, .static_slideshow_content_link a:hover', 'background-color',$slideshow_buttonhover_bg,'' );
	$dynamic_css .= tamarind_change_class( '.slideshow_content_link a:hover, .static_slideshow_content_link a:hover', 'border-color',$slideshow_buttonhover_bg,'' );
}
$slideshow_captionbg=tamarind_get_option_data('slideshow_captionbg');
$slideshow_captionbg_rgb=tamarind_hex2RGB($slideshow_captionbg,true);
if ($slideshow_captionbg) {
	$dynamic_css .= '#slidecaption {
background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba('.$slideshow_captionbg_rgb.',0.55) 100%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(100%,rgba('.$slideshow_captionbg_rgb.',0.55)));
background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba('.$slideshow_captionbg_rgb.',0.55) 100%);
background: -o-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba('.$slideshow_captionbg_rgb.',0.55) 100%);
background: -ms-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba('.$slideshow_captionbg_rgb.',0.55) 100%);
background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba('.$slideshow_captionbg_rgb.',0.55) 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="'.$slideshow_captionbg.'", endColorstr="'.$slideshow_captionbg.'",GradientType=0 );
}';
}
$slideshow_transbar=tamarind_get_option_data('slideshow_transbar');
$slideshow_transbar_rgb=tamarind_hex2RGB($slideshow_transbar,true);
if ($slideshow_transbar) {
	$dynamic_css .= '
	#progress-bar {
	background:'.$slideshow_transbar.';
	}
	';
}
$slideshow_currthumbnail=tamarind_get_option_data('slideshow_currthumbnail');
if ($slideshow_currthumbnail) {
	$dynamic_css .= tamarind_change_class( 'ul#thumb-list li.current-thumb', 'border-color',$slideshow_currthumbnail,'');
}

$menu_text_capitalize=tamarind_get_option_data('menu_text_capitalize');
if ($menu_text_capitalize) {
	$dynamic_css .= '.homemenu .sf-menu a,.vertical-menu,.vertical-menu a { text-transform: uppercase; }';
}
$hmenu_text_size=tamarind_get_option_data('hmenu_text_size');
if ($hmenu_text_size<>'') {
	$dynamic_css .= '.homemenu ul li a,.homemenu ul ul li a,.vertical-menu ul.mtree a, .simple-menu ul.mtree a, .responsive-mobile-menu ul.mtree a, .header-is-simple .responsive-mobile-menu ul.mtree a,.vertical-menu ul.mtree ul.sub-menu a { font-size:'.$hmenu_text_size.'px;}';
	$dynamic_css .= '.vertical-menu ul.mtree a, .simple-menu ul.mtree a, .responsive-mobile-menu ul.mtree a, .header-is-simple .responsive-mobile-menu ul.mtree a,.vertical-menu ul.mtree ul.sub-menu a { line-height:'.$hmenu_text_size.'px;}';
}
$hmenu_text_letterspacing=tamarind_get_option_data('hmenu_text_letterspacing');
if ($hmenu_text_letterspacing<>'') {
	$dynamic_css .= '.homemenu ul li a,.homemenu ul ul li a,.vertical-menu ul.mtree a, .simple-menu ul.mtree a, .responsive-mobile-menu ul.mtree a, .header-is-simple .responsive-mobile-menu ul.mtree a,.vertical-menu ul.mtree ul.sub-menu a { letter-spacing:'.$hmenu_text_letterspacing.'px;}';
}
$hmenu_text_weight=tamarind_get_option_data('hmenu_text_weight');
if ($hmenu_text_weight<>'') {
	$dynamic_css .= '.homemenu ul li a,.homemenu ul ul li a,.vertical-menu ul.mtree a, .simple-menu ul.mtree a, .responsive-mobile-menu ul.mtree a, .header-is-simple .responsive-mobile-menu ul.mtree a,.vertical-menu ul.mtree ul.sub-menu a,.homemenu li.current-menu-item > a, .homemenu li.current-menu-item > li > a { font-weight:'.$hmenu_text_weight.';}';
}

$hmenu_item_gap=tamarind_get_option_data('hmenu_item_gap');
if ($hmenu_item_gap<>'') {
	$dynamic_css .= '.homemenu > .sf-menu > li { margin-left:'.$hmenu_item_gap.'px;}';
}

$page_opacity_customize=tamarind_get_option_data('page_opacity_customize');
if ($page_opacity_customize) {
	$dynamic_css .= '.container-wrapper, .fullscreen-protected #password-protected { background:'.$page_opacity_customize.'; }';
}
$page_bgcolor=tamarind_get_option_data('page_bgcolor');
if ($page_bgcolor) {
	$dynamic_css .= '.container-wrapper, .fullscreen-protected #password-protected,#fotorama-container-wrap { background:'.$page_bgcolor.'; }';
}
$page_contentscolor=tamarind_get_option_data('page_contentscolor');
if ($page_contentscolor) {
	$dynamic_css .= tamarind_change_class( '.gridblock-four .work-description, .gridblock-three .work-description, .gridblock-two .work-description, .gridblock-one .work-description, .slideshow-box-info .work-description, .entry-content .smaller-content, .entry-content, .woocommerce #tab-description p, .woocommerce .entry-summary div[itemprop="description"], .blog-details-section .the-month, .post-meta-time-archive, #password-protected p, .post-password-form p, #password-protected label, #gridblock-filters .griblock-filters-subcats a, .person h4.staff-position, .gridblock-parallax-wrap .work-description,.woocommerce .entry-summary div[itemprop="description"],.entry-content,.entry-content .pullquote-left,.entry-content .pullquote-right,.entry-content .pullquote-center,.entry-content strong,.entry-content .testimonial-say p', 'color',$page_contentscolor,'' );
}
$page_contentsheading=tamarind_get_option_data('page_contentsheading');
if ($page_contentsheading) {
$content_headings = '
.woocommerce div.product .product_title,
.woocommerce #content div.product .product_title,
.woocommerce-page div.product .product_title,
.woocommerce-page #content div.product .product_title,
.entry-content h1,
.entry-content h2,
.entry-content h3,
.entry-content h4,
.entry-content h5,
.entry-content h6,
h1.entry-title,
.entry-content h1.section-title,
.work-details h4,
.work-details h4 a,
.client-company a:hover,
.portfolio-share li a:hover,
.min-search .icon-search:hover,
.entry-content .entry-post-title h2 a,
ul.gridblock-listbox .work-details h4 a:hover
';
	$dynamic_css .= tamarind_change_class( $content_headings, 'color',$page_contentsheading,'' );
}

$footer_bgcolor=tamarind_get_option_data('footer_bgcolor');
if ($footer_bgcolor) {
	$dynamic_css .= tamarind_change_class( '.footer-container-wrap', 'background',$footer_bgcolor,'' );
}
$footer_heading=tamarind_get_option_data('footer_heading');
if ($footer_heading) {
	$dynamic_css .= tamarind_change_class( '#footer h3', 'color',$footer_heading,'important' );
}
$footer_iconcolor=tamarind_get_option_data('footer_iconcolor');
if ($footer_iconcolor) {
	$dynamic_css .= tamarind_change_class( '.footer-container-wrap .social-icon i,.footer-container-wrap .social-header-wrap ul li i,#copyright i', 'color',$footer_iconcolor,'important' );
}
$footer_text=tamarind_get_option_data('footer_text');
if ($footer_text) {
	$dynamic_css .= tamarind_change_class( '.footer-container-wrap,#copyright,#footer .social-header-wrap,#footer .social-header-wrap ul li.contact-text a,.footer-container-wrap .sidebar-widget,.footer-container-wrap .opening-hours dt.week', 'color',$footer_text,'' );
}
$footer_link=tamarind_get_option_data('footer_link');
if ($footer_link) {
	$dynamic_css .= tamarind_change_class( '.footer-container-wrap a,#copyright a', 'color',$footer_link,'' );
}
$footer_linkhover=tamarind_get_option_data('footer_linkhover');
if ($footer_linkhover) {
	$dynamic_css .= tamarind_change_class( '.footer-container-wrap a:hover,#copyright a:hover', 'color',$footer_linkhover,'' );
}



$fullscreen_toggle_color = tamarind_get_option_data('fullscreen_toggle_color');
if ($fullscreen_toggle_color) {
	$dynamic_css .= tamarind_change_class( '.menu-toggle','color', $fullscreen_toggle_color,'' );
}
$fullscreen_toggle_bg = tamarind_get_option_data('fullscreen_toggle_bg');
if ($fullscreen_toggle_bg) {
	$dynamic_css .= tamarind_change_class( '.menu-toggle','background-color', $fullscreen_toggle_bg,'' );
	$dynamic_css .= tamarind_change_class( '.menu-toggle:after','border-color', $fullscreen_toggle_bg,'' );
}

$fullscreen_toggle_hovercolor = tamarind_get_option_data('fullscreen_toggle_hovercolor');
if ($fullscreen_toggle_hovercolor) {
	$dynamic_css .= tamarind_change_class( '.menu-toggle:hover','color', $fullscreen_toggle_hovercolor,'' );
}

$fullscreen_toggle_hoverbg = tamarind_get_option_data('fullscreen_toggle_hoverbg');
if ($fullscreen_toggle_hoverbg) {
	$dynamic_css .= tamarind_change_class( '.menu-toggle:hover','background-color', $fullscreen_toggle_hoverbg,'' );
	$dynamic_css .= tamarind_change_class( '.menu-toggle:hover:after','border-color', $fullscreen_toggle_hoverbg,'' );
}

$footer_copyrightbg=tamarind_get_option_data('footer_copyrightbg');
$footer_copyrightbg_rgb=tamarind_hex2RGB($footer_copyrightbg,true);
if ($footer_copyrightbg) {
	$dynamic_css .= '#copyright { background:rgba('. $footer_copyrightbg_rgb .',0.8); }';
}
$footer_copyrighttext=tamarind_get_option_data('footer_copyrighttext');
if ($footer_copyrighttext) {
	$dynamic_css .= tamarind_change_class( '#copyright', 'color',$footer_copyrighttext,'' );
}


$sidebar_headingcolor=tamarind_get_option_data('sidebar_headingcolor');
if ($sidebar_headingcolor) {
	$dynamic_css .= tamarind_change_class( '.sidebar h3,.sidebar .product-title, .sidebar .woocommerce ul.product_list_widget li a, #events_list .recentpost_info .recentpost_title, #recentposts_list .recentpost_info .recentpost_title, #popularposts_list .popularpost_info .popularpost_title', 'color',$sidebar_headingcolor,'' );
}
$sidebar_headinglinecolor=tamarind_get_option_data('sidebar_headinglinecolor');
if ($sidebar_headinglinecolor) {
	$dynamic_css .= tamarind_change_class( '.aboutme-wrap.entry-content > h2, .sidebar h3, .sidebar h3 a,.sidebar .widget_search #searchform input,.sidebar .widget_search #searchform input:focus', 'border-color',$sidebar_headinglinecolor,'' );
	$dynamic_css .= tamarind_change_class( '.woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle', 'background',$sidebar_headinglinecolor,'' );
}
$sidebar_linkcolor=tamarind_get_option_data('sidebar_linkcolor');
if ($sidebar_linkcolor) {
	$dynamic_css .= tamarind_change_class( '#recentposts_list .recentpost_info .recentpost_title, #popularposts_list .popularpost_info .popularpost_title,.sidebar a', 'color',$sidebar_linkcolor,'' );
}
$sidebar_textcolor=tamarind_get_option_data('sidebar_textcolor');
if ($sidebar_textcolor) {
	$dynamic_css .= tamarind_change_class( '.contact_address_block .about_info, .sidebar-widget #searchform input, .sidebar-widget #searchform i, #recentposts_list p, #popularposts_list p,.sidebar-widget ul#recentcomments li,.sidebar', 'color',$sidebar_textcolor,'' );
}

if ( tamarind_get_option_data('custom_font_css')<>'' ) {
	$dynamic_css .= tamarind_get_option_data('custom_font_css');
}

$photowall_title_color=tamarind_get_option_data('photowall_title_color');
if ($photowall_title_color) {
$dynamic_css .= tamarind_change_class( '.photowall-title', 'color',$photowall_title_color,'' );
}

$photowall_description_color=tamarind_get_option_data('photowall_description_color');
if ($photowall_description_color) {
$dynamic_css .= tamarind_change_class( '.photowall-desc', 'color',$photowall_description_color,'' );
}

$photowall_hover_titlecolor=tamarind_get_option_data('photowall_hover_titlecolor');
if ($photowall_hover_titlecolor) {
$dynamic_css .= tamarind_change_class( '.photowall-item:hover .photowall-title', 'color',$photowall_hover_titlecolor,'' );
}
$photowall_hover_descriptioncolor=tamarind_get_option_data('photowall_hover_descriptioncolor');
if ($photowall_hover_descriptioncolor) {
$dynamic_css .= tamarind_change_class( '.photowall-item:hover .photowall-desc', 'color',$photowall_hover_descriptioncolor,'' );
}

$photowall_description_color=tamarind_get_option_data('photowall_description_color');
if ($photowall_description_color) {
$dynamic_css .= tamarind_change_class( '.photowall-desc', 'color',$photowall_description_color,'' );
}

// The icons
$forum_icon_css = tamarind_set_fontawesome('fa fa-cubes' , tamarind_get_option_data('forum_icon') , $get_css_code = true );
if ( isSet($forum_icon_css) ) {
	$dynamic_css .= '
	#bbpress-forums ul.forum li.bbp-forum-info:before {
	content:"'.$forum_icon_css.'";
	}
	';
}

// Lightbox
$disable_lightbox_fullscreen=tamarind_get_option_data('disable_lightbox_fullscreen');
if ($disable_lightbox_fullscreen) {
	$dynamic_css .= '.mtheme-lightbox .lg-fullscreen { display:none; }';
}
$disable_lightbox_sizetoggle=tamarind_get_option_data('disable_lightbox_sizetoggle');
if ($disable_lightbox_sizetoggle) {
	$dynamic_css .= '.mtheme-lightbox #lg-actual-size { display:none; }';
}
$disable_lightbox_download=tamarind_get_option_data('disable_lightbox_download');
if ($disable_lightbox_download) {
	$dynamic_css .= '.mtheme-lightbox #lg-zoom-out,.lg-toolbar #lg-download { display:none; }';
}
$disable_lightbox_zoomcontrols=tamarind_get_option_data('disable_lightbox_zoomcontrols');
if ($disable_lightbox_zoomcontrols) {
	$dynamic_css .= '.mtheme-lightbox #lg-zoom-out,.lg-toolbar #lg-zoom-in { display:none; }';
}
$disable_lightbox_autoplay=tamarind_get_option_data('disable_lightbox_autoplay');
if ($disable_lightbox_autoplay) {
	$dynamic_css .= '.mtheme-lightbox .lg-autoplay-button { display:none; }';
}
$disable_lightbox_count=tamarind_get_option_data('disable_lightbox_count');
if ($disable_lightbox_count) {
	$dynamic_css .= '.mtheme-lightbox #lg-counter { display:none; }';
}
$disable_lightbox_title=tamarind_get_option_data('disable_lightbox_title');
if ($disable_lightbox_title) {
	$dynamic_css .= '.mtheme-lightbox .lg-sub-html { display:none !important; }';
}
$lightbox_bgcolor=tamarind_get_option_data('lightbox_bgcolor');
if ($lightbox_bgcolor) {
	$dynamic_css .= '.body .lg-backdrop, .mtheme-lightbox.lg-outer { background:'.$lightbox_bgcolor.'; }';
}
$lightbox_elementbgcolor=tamarind_get_option_data('lightbox_elementbgcolor');
if ($lightbox_elementbgcolor) {
	$dynamic_css .= '.mtheme-lightbox .lg-actions .lg-icon, .mtheme-lightbox .lg-toolbar { background:'.$lightbox_elementbgcolor.'; }';
}
$lightbox_elementcolor=tamarind_get_option_data('lightbox_elementcolor');
if ($lightbox_elementcolor) {
	$dynamic_css .= '.mtheme-lightbox #lg-counter,.mtheme-lightbox #lg-counter, .mtheme-lightbox .lg-sub-html, .mtheme-lightbox .lg-toolbar .lg-icon, .mtheme-lightbox .lg-actions .lg-next, .mtheme-lightbox .lg-actions .lg-prev { color:'.$lightbox_elementcolor.'; }';
}

// Font size
$copyright_fontsize=tamarind_get_option_data('copyright_fontsize');
if ($copyright_fontsize<>'') {
$dynamic_css .= '
#copyright {
	font-size:'.$copyright_fontsize.'px;
}';
}
$copyright_lineheight=tamarind_get_option_data('copyright_lineheight');
if ($copyright_lineheight<>'') {
$dynamic_css .= '
#copyright {
	line-height:'.$copyright_lineheight.'px;
}';
}
$pagecontent_fontsize=tamarind_get_option_data('pagecontent_fontsize');
if ($pagecontent_fontsize<>'') {
$dynamic_css .= '
.entry-content,
.entry-content p,
.woocommerce #tab-description p,
.woocommerce .woocommerce-product-details__short-description,
.woocommerce .entry-summary div[itemprop="description"]{
	font-size:'.$pagecontent_fontsize.'px;
}';
}
// Line Height
$pagecontent_lineheight=tamarind_get_option_data('pagecontent_lineheight');
if ($pagecontent_lineheight<>'') {
$dynamic_css .= '
.entry-content,
.woocommerce #tab-description p,
.woocommerce .woocommerce-product-details__short-description,
.woocommerce .entry-summary div[itemprop="description"] {
	line-height:'.$pagecontent_lineheight.'px;
}';
}
// Letter Spacing
$pagecontent_letterspacing=tamarind_get_option_data('pagecontent_letterspacing');
if ($pagecontent_letterspacing<>'') {
$dynamic_css .= '
.entry-content,
.woocommerce #tab-description p,
.woocommerce .woocommerce-product-details__short-description,
.woocommerce .entry-summary div[itemprop="description"] {
	letter-spacing:'.$pagecontent_letterspacing.'px;
}';
}
// Font Weight
$pagecontent_fontweight=tamarind_get_option_data('pagecontent_fontweight');
if ($pagecontent_fontweight<>'') {
$dynamic_css .= '
.entry-content,
.woocommerce #tab-description p,
.woocommerce .woocommerce-product-details__short-description,
.woocommerce .entry-summary div[itemprop="description"] {
	font-weight:'.$pagecontent_fontweight.';
}';
}
$pagetitle_color=tamarind_get_option_data('pagetitle_color');
if ($pagetitle_color) {
	$dynamic_css .= tamarind_change_class('.entry-title-wrap h1.entry-title,h1.entry-title','color',$pagetitle_color,'');
}
$pagetitle_size=tamarind_get_option_data('pagetitle_size');
if ($pagetitle_size<>'') {
	$dynamic_css .= '.entry-title-wrap h1.entry-title, .single .title-container h1.entry-title { font-size:'.$pagetitle_size.'px; line-height:'.$pagetitle_size.'px; }';
}
$pagetitle_letterspacing=tamarind_get_option_data('pagetitle_letterspacing');
if ($pagetitle_letterspacing<>'') {
	$dynamic_css .= '.entry-title-wrap h1.entry-title, .single .title-container h1.entry-title { letter-spacing:'.$pagetitle_letterspacing.'px; }';
}
$pagetitle_weight=tamarind_get_option_data('pagetitle_weight');
if ($pagetitle_weight<>'') {
	$dynamic_css .= '.entry-title-wrap h1.entry-title, .single .title-container h1.entry-title { font-weight:'.$pagetitle_weight.'; }';
}
//Mobile Menu color
$mobilemenubar_bgcolor=tamarind_get_option_data('mobilemenubar_bgcolor');
if ($mobilemenubar_bgcolor) {
	$dynamic_css .= tamarind_change_class('.theme-is-dark .mobile-menu-toggle,.mobile-menu-toggle,.header-is-simple.theme-is-dark .mobile-menu-icon,.header-is-simple.theme-is-light .mobile-menu-icon','background-color',$mobilemenubar_bgcolor,'');
}
$mobilemenubar_togglebgcolor=tamarind_get_option_data('mobilemenubar_togglebgcolor');
if ($mobilemenubar_togglebgcolor) {
	$dynamic_css .= tamarind_change_class('.mobile-toggle-menu-trigger','background',$mobilemenubar_togglebgcolor,'');
}
$mobilemenubar_togglecolor=tamarind_get_option_data('mobilemenubar_togglecolor');
if ($mobilemenubar_togglecolor) {
	$dynamic_css .= tamarind_change_class('.mobile-toggle-menu-trigger span::before, .mobile-toggle-menu-trigger span::after, .mobile-toggle-menu-open .mobile-toggle-menu-trigger span::before, .mobile-toggle-menu-open .mobile-toggle-menu-trigger span::after, .mobile-toggle-menu-trigger span','background',$mobilemenubar_togglecolor,'');
	$dynamic_css .= tamarind_change_class('.mobile-sharing-toggle','color',$mobilemenubar_togglecolor,'');
}
$mobilemenu_bgcolor=tamarind_get_option_data('mobilemenu_bgcolor');
if ($mobilemenu_bgcolor) {
	$dynamic_css .= tamarind_change_class('.responsive-mobile-menu,.theme-is-light .responsive-mobile-menu','background-color',$mobilemenu_bgcolor,'');
	$dynamic_css .= '.theme-is-dark .responsive-mobile-menu #mobile-searchform input { border-color: rgba(255,255,255,0.1); }';
	$dynamic_css .= '.theme-is-light .responsive-mobile-menu #mobile-searchform input { border-color: rgba(0,0,0,0.1); }';
}
$mobilemenu_bgimage=tamarind_get_option_data('mobilemenu_bgimage');
if ($mobilemenu_bgimage) {
	$dynamic_css .= 'body .responsive-mobile-menu,body.theme-is-light .responsive-mobile-menu { background-image: url('.esc_url($mobilemenu_bgimage).'); }';
}
$mobilemenu_texticons=tamarind_get_option_data('mobilemenu_texticons');
$mobilemenu_texticons_rgb=tamarind_hex2RGB($mobilemenu_texticons,true);
if ($mobilemenu_bgcolor) {
	$dynamic_css .= tamarind_change_class('
	.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-node > a::before,
	.theme-is-light .responsive-mobile-menu #mobile-searchform input,
	.theme-is-dark .responsive-mobile-menu #mobile-searchform input,
	.theme-is-light .responsive-mobile-menu ul.mtree li li a,
	.theme-is-light .responsive-mobile-menu ul.mtree li a,
	.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree li li a,
	.theme-is-dark .responsive-mobile-menu ul.mtree li li a,
	.theme-is-dark .responsive-mobile-menu ul.mtree li a,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree li li a,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree li a,
	.theme-is-light .responsive-mobile-menu ul.mtree a,
	.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree a,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree a,
	.menu-is-horizontal .responsive-mobile-menu .social-icon a,
	.menu-is-horizontal .responsive-mobile-menu .social-icon i,
	.menu-is-horizontal .responsive-mobile-menu .social-header-wrap ul li.social-icon i,
	.menu-is-horizontal .responsive-mobile-menu .social-header-wrap ul li.contact-text a .menu-is-vertical .responsive-mobile-menu .social-icon a,
	.menu-is-vertical .responsive-mobile-menu .social-icon i,
	.menu-is-vertical .responsive-mobile-menu .social-header-wrap ul li.social-icon i,
	.menu-is-vertical .responsive-mobile-menu .social-header-wrap ul li.contact-text a,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-copyright,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon a,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon i,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-header-wrap ul li.social-icon i,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-header-wrap ul li.contact-text a
	','color',$mobilemenu_texticons,'');

	$dynamic_css .= tamarind_change_class('.responsive-mobile-menu .fullscreen-footer-social i','border-color',$mobilemenu_texticons,'');
}
$mobilemenu_linecolors=tamarind_get_option_data('mobilemenu_linecolors');
$mobilemenu_linecolors_rgb=tamarind_hex2RGB($mobilemenu_linecolors,true);
if ($mobilemenu_linecolors) {
	$dynamic_css .= tamarind_change_class('.responsive-mobile-menu ul.mtree li.mtree-node > ul > li:last-child,.theme-is-light .responsive-mobile-menu ul.mtree a,.theme-is-dark .responsive-mobile-menu ul.mtree a,.theme-is-light .responsive-mobile-menu #mobile-searchform input,.theme-is-dark .responsive-mobile-menu #mobile-searchform input','border-color',$mobilemenu_linecolors,'');
	$dynamic_css .= tamarind_change_class('.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-node > a::before,.theme-is-dark .responsive-mobile-menu ul.mtree li.mtree-node > a::before','color',$mobilemenu_linecolors,'');
}
$mobilemenu_hover=tamarind_get_option_data('mobilemenu_hover');
if ($mobilemenu_hover) {
	$dynamic_css .= tamarind_change_class('
	.theme-is-light .responsive-mobile-menu ul.mtree li li a:hover,
	.theme-is-dark .responsive-mobile-menu ul.mtree li li a:hover,
	.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-open > a:hover,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree li.mtree-open > a:hover,
	.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree a:hover,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree a:hover,
	.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree li li a:hover,
	.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree li li a:hover,
	.theme-is-light .responsive-mobile-menu ul.mtree li > a:hover,
	.theme-is-light .responsive-mobile-menu ul.mtree a:hover,
	.theme-is-dark .responsive-mobile-menu ul.mtree li > a:hover,
	.theme-is-dark .responsive-mobile-menu ul.mtree a:hover','color',$mobilemenu_hover,'');

	$dynamic_css .= tamarind_change_class('
	.menu-is-horizontal .responsive-mobile-menu .social-icon a:hover,
	.menu-is-horizontal .responsive-mobile-menu ul li.social-icon:hover i,
	.menu-is-horizontal .responsive-mobile-menu .vertical-footer-wrap .social-icon:hover,
	.menu-is-horizontal .responsive-mobile-menu .vertical-footer-wrap .social-icon i:hover,
	.menu-is-horizontal .responsive-mobile-menu .social-header-wrap ul li.contact-text a:hover .menu-is-vertical .responsive-mobile-menu .social-icon a:hover,
	.menu-is-vertical .responsive-mobile-menu ul li.social-icon:hover i,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon:hover,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon i:hover,
	.menu-is-vertical .responsive-mobile-menu .social-header-wrap ul li.contact-text a:hover','color',$mobilemenu_hover,'');
	$dynamic_css .= tamarind_change_class('
	.menu-is-horizontal .responsive-mobile-menu .social-icon a:hover,
	.menu-is-horizontal .responsive-mobile-menu ul li.social-icon:hover i,
	.menu-is-horizontal .responsive-mobile-menu .vertical-footer-wrap .social-icon:hover,
	.menu-is-horizontal .responsive-mobile-menu .vertical-footer-wrap .social-icon i:hover,
	.menu-is-horizontal .responsive-mobile-menu .social-header-wrap ul li.contact-text a:hover .menu-is-vertical .responsive-mobile-menu .social-icon a:hover,
	.menu-is-vertical .responsive-mobile-menu ul li.social-icon:hover i,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon:hover,
	.menu-is-vertical .responsive-mobile-menu .vertical-footer-wrap .social-icon i:hover,
	.menu-is-vertical .responsive-mobile-menu .social-header-wrap ul li.contact-text a:hover','border-color',$mobilemenu_hover,'');
}
$mobilemenu_footercolors=tamarind_get_option_data('mobilemenu_footercolors');
if ($mobilemenu_footercolors) {
	$dynamic_css .= tamarind_change_class('.responsive-mobile-menu','color',$mobilemenu_footercolors,'');
}
$mobilemenu_active=tamarind_get_option_data('mobilemenu_active');
if ($mobilemenu_active) {
	$dynamic_css .= tamarind_change_class('
		.header-is-simple.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-open > a,
		.header-is-simple.theme-is-dark .responsive-mobile-menu ul.mtree li.mtree-open > a,
		.theme-is-light .responsive-mobile-menu ul.mtree li.mtree-open > a,
		.theme-is-dark .responsive-mobile-menu ul.mtree li.mtree-open > a','color',$mobilemenu_active,'');
}
$rcm_font=tamarind_get_option_data('rcm_font');
if ($rcm_font<>'0' && $rcm_font!='Default Font') {
	$dynamic_css .= tamarind_apply_font ( 'rcm_font' , '.dimmer-text' );
}
$rcm_size=tamarind_get_option_data('rcm_size');
if ($rcm_size<>'') {
	$dynamic_css .= '.dimmer-text { font-size:'.$rcm_size.'px; }';
}
$rcm_letterspacing=tamarind_get_option_data('rcm_letterspacing');
if ($rcm_letterspacing<>'') {
	$dynamic_css .= '.dimmer-text { letter-spacing:'.$rcm_letterspacing.'px; }';
}
$rcm_weight=tamarind_get_option_data('rcm_weight');
if ($rcm_weight<>'') {
	$dynamic_css .= '.dimmer-text { font-weight:'.$rcm_weight.'; }';
}
$rcm_textcolor=tamarind_get_option_data('rcm_textcolor');
if ($rcm_textcolor) {
	$dynamic_css .= ' .dimmer-text { color:'.$rcm_textcolor.'; }';
}
$rcm_bgcolor=tamarind_get_option_data('rcm_bgcolor');
$rcm_bgcolor_rgb=tamarind_hex2RGB($rcm_bgcolor,true);
if ($rcm_bgcolor) {
	$dynamic_css .= '#dimmer { background:rgba('.$rcm_bgcolor_rgb.',0.8); }';
}
?>