<?php
function tamarind_client_metadata() {

	$mtheme_sidebar_options = tamarind_generate_sidebarlist('client');

	require_once( get_template_directory() . '/framework/options/google-fonts.php');
	$options_fonts = tamarind_google_fonts();

// Pull all the Featured into an array
	$bg_slideshow_pages = get_posts('post_type=mtheme_featured&orderby=title&numberposts=-1&order=ASC');

	if ($bg_slideshow_pages) {
		$options_bgslideshow['none'] = "Not Selected";
		foreach($bg_slideshow_pages as $key => $list) {
			$custom = get_post_custom($list->ID);
			if ( isset($custom["fullscreen_type"][0]) ) { 
				$slideshow_type=$custom["fullscreen_type"][0]; 
			} else {
				$slideshow_type="";
			}
			if ($slideshow_type<>"Fullscreen-Video") {
				$options_bgslideshow[$list->ID] = $list->post_title;
			}
		}
	} else {
		$options_bgslideshow[0]="Featured pages not found.";
	}

	$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';
	$mtheme_imagepath_alt =  get_template_directory_uri() . '/framework/options/images/';

	$mtheme_client_box = array(
		'id' => 'clientmeta-box',
		'title' => esc_html__('Client Metabox','tamarind'),
		'page' => 'page',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
			array(
				'name' => esc_html__('Client Settings','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Attach Images','tamarind'),
				'id' => 'pagemeta_image_attachments',
				'std' => esc_html__('Upload Images','tamarind'),
				'type' => 'image_gallery',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach images. Images can be used to generate when using shortcodes.','tamarind').'</div>'
				),
			array(
				'name' => esc_html__('Client Notice','tamarind'),
				'id' => 'pagemeta_client_notice',
				'type' => 'notice',
				'std' => '',
				'desc' => esc_html__('Add a Password to this client page to password protect all proofing galleries associated with the client.','tamarind')
				),
			array(
				'name' => esc_html__('Client Name','tamarind'),
				'id' => 'pagemeta_client_name',
				'type' => 'text',
				'desc' => esc_html__('Client Name.','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Description for client','tamarind'),
				'id' => 'pagemeta_client_desc',
				'type' => 'textarea',
				'desc' => esc_html__('This description is displayed for client.','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Header Settings','tamarind'),
				'id' => 'pagemeta_sep_page_title',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Background Image for Client Password Page','tamarind'),
				'id' => 'pagemeta_client_background_image',
				'type' => 'upload',
				'target' => 'image',
				'std' => '',
				'desc' => '<div class="metabox-note">'.esc_html__('Upload or provide full url of background. eg. http://www.domain.com/path/image.jpg','tamarind').'</div>'
				),
			array(
				'name' => esc_html__('Switch Menu','tamarind'),
				'id' => 'pagemeta_menu_choice',
				'type' => 'select',
				'desc' => esc_html__('Select a different menu for this page','tamarind'),
				'options' => tamarind_generate_menulist()
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_background_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Background','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_sep-page_backgrounds',
				'type' => 'seperator',
				),
			array(
				'name' =>  esc_html__('Display Page Media','tamarind'),
				'id' => 'pagemeta_meta_background_choice',
				'type' => 'select',
				'target' => 'backgroundslideshow_choices',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach 1 image to display one image or Multiples images to display slideshow','tamarind').'</div>',
				'options' => ''
			),
			array(
				'name' => esc_html__('Page Color','tamarind'),
				'id' => 'pagemeta_pagebackground_color',
				'type' => 'color',
				'desc' => esc_html__('Page color','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Opacity','tamarind'),
				'id' => 'pagemeta_pagebackground_opacity',
				'type' => 'select',
				'desc' => esc_html__('Set Page color and adjust opacity to apply opacity.','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'zero' => esc_attr__('Transparent','tamarind'),
					'25' => esc_attr__('25%','tamarind'),
					'50' => esc_attr__('50%','tamarind'),
					'75' => esc_attr__('75%','tamarind'),
					'100' => esc_attr__('Opaque','tamarind')
					)
				)
			)
		);
	return $mtheme_client_box;
}
/*
* Meta options for client post type
*/
function tamarind_clientitem_metaoptions(){
	$mtheme_client_box = tamarind_client_metadata();
	tamarind_generate_metaboxes( $mtheme_client_box,get_the_id() );
}
?>