<?php
function tamarind_events_metadata() {
	$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';
	$mtheme_imagepath_alt =  get_template_directory_uri() . '/framework/options/images/';

	$mtheme_sidebar_options = tamarind_generate_sidebarlist('events');

	// Pull all the Featured into an array
	$bg_slideshow_pages = get_posts('post_type=mtheme_featured&orderby=title&numberposts=-1&order=ASC');

	if ($bg_slideshow_pages) {
		$options_bgslideshow['none'] = "Not Selected";
		foreach($bg_slideshow_pages as $key => $list) {
			$custom = get_post_custom($list->ID);
			if ( isset($custom["fullscreen_type"][0]) ) { 
				$slideshow_type=$custom["fullscreen_type"][0]; 
			} else {
			$slideshow_type="";
			}
			if ($slideshow_type<>"Fullscreen-Video") {
				$options_bgslideshow[$list->ID] = $list->post_title;
			}
		}
	} else {
		$options_bgslideshow[0]="Featured pages not found.";
	}

	$mtheme_events_box = array(
		'id' => 'eventsmeta-box',
		'title' => esc_html__('Events Metabox','tamarind'),
		'page' => 'page',
		'context' => 'normal',
		'priority' => 'core',
		'fields' => array(
			array(
				'name' => esc_html__('Event Settings','tamarind'),
				'id' => 'pagemeta_events_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Events Settings','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Event Options','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Attach Images','tamarind'),
				'id' => 'pagemeta_image_attachments',
				'std' => esc_html__('Upload Images','tamarind'),
				'type' => 'image_gallery',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach images to this page/post.','tamarind').'</div>'
			),
			array(
				'name' => esc_html__('Gallery description text','tamarind'),
				'id' => 'pagemeta_thumbnail_desc',
				'heading' => 'subhead',
				'type' => 'textarea',
				'desc' => esc_html__('Description text to displayed with evernts gallery thumbnail','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Event Status','tamarind'),
				'id' => 'pagemeta_event_notice',
				'class' => 'event_notice',
				'type' => 'select',
				'desc' => esc_html__('Event Status','tamarind'),
				'options' => array(
					'active' => esc_attr__('Active','tamarind'),
					'inactive' => esc_attr__('Hide from Listings','tamarind'),
					'postponed' => esc_attr__('Display as Postponed','tamarind'),
					'cancelled' => esc_attr__('Display as Cancelled','tamarind'),
					'pastevent' => esc_attr__('Past Event','tamarind')
					),
			),
			array(
				'name' => esc_html__('Event Date','tamarind'),
				'id' => 'pagemeta_event_startdate',
				'type' => 'datepicker',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Start date','tamarind'),
				'std' => ''
			),
			array(
				'name' => 'End Date',
				'id' => 'pagemeta_event_enddate',
				'type' => 'datepicker',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('End date','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Venue','tamarind'),
				'id' => 'pagemeta_event_venue_name',
				'type' => 'text',
				'heading' => 'subhead',
				'desc' => esc_html__('Venue Name','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_street',
				'type' => 'text',
				'heading' => 'subhead',
				'desc' => esc_html__('Street','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_state',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('State','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_postal',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Zip/Postal Code','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_country',
				'type' => 'country',
				'heading' => 'subhead',
				'desc' => esc_html__('Event country','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_phone',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Phone','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_website',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Website','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_currency',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Cost Currency Symbol','tamarind'),
				'std' => ''
			),
			array(
				'name' => '',
				'id' => 'pagemeta_event_venue_cost',
				'type' => 'text',
				'class' => 'textsmall',
				'heading' => 'subhead',
				'desc' => esc_html__('Cost Value','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Style','tamarind'),
				'id' => 'pagemeta_pagestyle',
				'type' => 'image',
				'std' => 'rightsidebar',
				'desc' => esc_html__('Note: Edge to Edge - same as 100% Width Template','tamarind'),
				'options' => array(
					'rightsidebar' => $mtheme_imagepath . 'page-right-sidebar.png',
					'leftsidebar' => $mtheme_imagepath . 'page-left-sidebar.png',
					'nosidebar' => $mtheme_imagepath . 'page-no-sidebar.png',
					'edge-to-edge' => $mtheme_imagepath . 'page-edge-to-edge.png')
				),
			array(
				'name' => esc_html__('Choice of Sidebar','tamarind'),
				'id' => 'pagemeta_sidebar_choice',
				'type' => 'select',
				'desc' => esc_html__('For Sidebar Active Pages and Posts','tamarind'),
				'options' => $mtheme_sidebar_options
				),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_title_seperator',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Header Type','tamarind'),
				'id' => 'pagemeta_header_type',
				'type' => 'select',
				'std' => 'enable',
				'desc' => esc_html__('Header Type for Horizontal menu','tamarind'),
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'overlay' => esc_attr__('Overlay','tamarind')
					)
				),
			array(
				'name' => esc_html__('Switch Menu','tamarind'),
				'id' => 'pagemeta_menu_choice',
				'type' => 'select',
				'desc' => esc_html__('Select a different menu for this page','tamarind'),
				'options' => tamarind_generate_menulist()
				),
			array(
				'name' => esc_html__('Page Title','tamarind'),
				'id' => 'pagemeta_page_title',
				'type' => 'select',
				'desc' => esc_html__('Page Title','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'show' => esc_attr__('Show','tamarind'),
					'hide' => esc_attr__('Hide','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_background_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Background','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_sep-page_backgrounds',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Color','tamarind'),
				'id' => 'pagemeta_pagebackground_color',
				'type' => 'color',
				'desc' => esc_html__('Page color','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Opacity','tamarind'),
				'id' => 'pagemeta_pagebackground_opacity',
				'type' => 'select',
				'desc' => esc_html__('Set Page color and adjust opacity to apply opacity.','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'zero' => esc_attr__('Transparent','tamarind'),
					'25' => esc_attr__('25%','tamarind'),
					'50' => esc_attr__('50%','tamarind'),
					'75' => esc_attr__('75%','tamarind'),
					'100' => esc_attr__('Opaque','tamarind')
				)
			)
		)
	);
	return $mtheme_events_box;
}
/*
* Meta options for Events post type
*/
function tamarind_eventsitem_metaoptions(){
	$mtheme_events_box = tamarind_events_metadata();
	tamarind_generate_metaboxes($mtheme_events_box,get_the_id());
}
?>