<?php
function tamarind_food_metadata() {
	$mtheme_sidebar_options = tamarind_generate_sidebarlist('food');
	
	$bg_slideshow_pages = get_posts('post_type=mtheme_featured&orderby=title&numberposts=-1&order=ASC');

	if ($bg_slideshow_pages) {
		$options_bgslideshow['none'] = "Not Selected";
		foreach($bg_slideshow_pages as $key => $list) {
			$custom = get_post_custom($list->ID);
			if ( isset($custom["fullscreen_type"][0]) ) { 
				$slideshow_type=$custom["fullscreen_type"][0]; 
			} else {
				$slideshow_type="";
			}
			if ($slideshow_type<>"Fullscreen-Video") {
				$options_bgslideshow[$list->ID] = $list->post_title;
			}
		}
	} else {
		$options_bgslideshow[0]="Featured pages not found.";
	}

	$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';
	$mtheme_imagepath_alt =  get_template_directory_uri() . '/framework/options/images/';

	$mtheme_food_box = array(
		'id' => 'foodmeta-box',
		'title' => esc_html__('Food Metabox','tamarind'),
		'page' => 'page',
		'context' => 'normal',
		'priority' => 'core',
		'fields' => array(
			array(
				'name' => esc_html__('Food Settings','tamarind'),
				'id' => 'pagemeta_food_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Food Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Food Options','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Food Price','tamarind'),
				'id' => 'pagemeta_price_food',
				'type' => 'text',
				'heading' => 'subhead',
				'desc' => esc_html__('Price of Food','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Food Size Variations ( Size ) ( Price )','tamarind'),
				'id' => 'pagemeta_price_repeat',
				'type' => 'repeat_text',
				'heading' => 'subhead',
				'desc' => esc_html__('Variation Price of Food','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('Purchase URL','tamarind'),
				'id' => 'pagemeta_purchase_food',
				'type' => 'text',
				'heading' => 'subhead',
				'desc' => esc_html__('Purchase URL','tamarind'),
				'std' => ''
			),
			array(
				'name' => esc_html__('New Addition','tamarind'),
				'id' => 'pagemeta_new_food',
				'type' => 'select',
				'desc' => esc_html__('Display as a new item.','tamarind'),
				'std' => 'no',
				'options' => array(
					'no' => esc_attr__('No','tamarind'),
					'yes' => esc_attr__('Yes','tamarind')
				)
			),
			array(
				'name' => esc_html__('Chef Recommended','tamarind'),
				'id' => 'pagemeta_chef_food',
				'type' => 'select',
				'desc' => esc_html__('Display as chef recommended.','tamarind'),
				'std' => 'no',
				'options' => array(
					'no' => esc_attr__('No','tamarind'),
					'yes' => esc_attr__('Yes','tamarind')
				)
			),
			array(
				'name' => esc_html__('Hide this item','tamarind'),
				'id' => 'pagemeta_hide_food',
				'type' => 'select',
				'desc' => esc_html__('Hide this item.','tamarind'),
				'std' => 'no',
				'options' => array(
					'no' => esc_attr__('No','tamarind'),
					'yes' => esc_attr__('Yes','tamarind')
				)
			)
		)
);
return $mtheme_food_box;
}
/*
* Meta options for Food post type
*/
function tamarind_fooditem_metaoptions(){
	$mtheme_food_box = tamarind_food_metadata();
	tamarind_generate_metaboxes($mtheme_food_box,get_the_id());
}
?>