<?php
function tamarind_page_metadata() {
	$mtheme_sidebar_options = tamarind_generate_sidebarlist('page');

	$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';

	$mtheme_common_page_box = array(
		'id' => 'common-pagemeta-box',
		'title' => esc_html__('General Page Metabox','tamarind'),
		'page' => 'page',
		'context' => 'normal',
		'priority' => 'core',
		'fields' => array(
			array(
				'name' => esc_html__('Page Options','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'class' => 'condition-only-with-core',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Options','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Options','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'class' => 'condition-only-with-core',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Attach Images','tamarind'),
				'id' => 'pagemeta_image_attachments',
				'class' => 'condition-only-with-core',
				'std' => esc_html__('Upload Images','tamarind'),
				'type' => 'image_gallery',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach images. Images can be used to generate when using shortcodes.','tamarind').'</div>'
				),
			array(
				'name' => esc_html__('Page Layout','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Style','tamarind'),
				'id' => 'pagemeta_pagestyle',
				'type' => 'image',
				'std' => 'rightsidebar',
				'desc' => esc_html__('Note: Edge to Edge - same as 100% Width Template','tamarind'),
				'options' => array(
					'rightsidebar' => $mtheme_imagepath . 'page-right-sidebar.png',
					'leftsidebar' => $mtheme_imagepath . 'page-left-sidebar.png',
					'nosidebar' => $mtheme_imagepath . 'page-no-sidebar.png',
					'edge-to-edge' => $mtheme_imagepath . 'page-edge-to-edge.png')
				),
			array(
				'name' => esc_html__('Choice of Sidebar','tamarind'),
				'id' => 'pagemeta_sidebar_choice',
				'type' => 'select',
				'desc' => esc_html__('For Sidebar Active Pages and Posts','tamarind'),
				'options' => $mtheme_sidebar_options
				),
			array(
				'name' => esc_html__('Switch Menu','tamarind'),
				'id' => 'pagemeta_menu_choice',
				'type' => 'select',
				'desc' => esc_html__('Select a different menu for this page','tamarind'),
				'options' => tamarind_generate_menulist()
				),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_title_seperator',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Header Settings','tamarind'),
				'id' => 'pagemeta_sep-header_settings',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Header Type','tamarind'),
				'id' => 'pagemeta_header_type',
				'type' => 'select',
				'std' => 'enable',
				'desc' => esc_html__('Header Type for Horizontal menu','tamarind'),
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'overlay' => esc_attr__('Overlay','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Title','tamarind'),
				'id' => 'pagemeta_page_title',
				'type' => 'select',
				'desc' => esc_html__('Page Title','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'show' => esc_attr__('Show','tamarind'),
					'hide' => esc_attr__('Hide','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_background_section_id',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Color','tamarind'),
				'id' => 'pagemeta_pagebackground_color',
				'type' => 'color',
				'desc' => esc_html__('Page color','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Opacity','tamarind'),
				'id' => 'pagemeta_pagebackground_opacity',
				'type' => 'select',
				'desc' => esc_html__('Set Page color and adjust opacity to apply opacity.','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_attr__('Default','tamarind'),
					'zero' => esc_attr__('Transparent','tamarind'),
					'25' => esc_attr__('25%','tamarind'),
					'50' => esc_attr__('50%','tamarind'),
					'75' => esc_attr__('75%','tamarind'),
					'100' => esc_attr__('Opaque','tamarind')
				)
			)
		)
	);
	return $mtheme_common_page_box;
}
function tamarind_common_show_pagebox() {
	$mtheme_common_page_box = tamarind_page_metadata();
	tamarind_generate_metaboxes( $mtheme_common_page_box,get_the_id() );
}
?>