<?php
function tamarind_post_metadata() {
	$mtheme_sidebar_options = tamarind_generate_sidebarlist('post');

	$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';

	$mtheme_post_metapack=array();

	$mtheme_post_metapack['main'] = array(
		'id' => 'common-pagemeta-box',
		'title' => esc_html__('General Page Metabox','tamarind'),
		'page' => 'post',
		'context' => 'normal',
		'priority' => 'core',
		'fields' => array(
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Attach Images','tamarind'),
				'id' => 'pagemeta_image_attachments',
				'class' => 'condition-only-with-core',
				'std' => esc_html__('Upload Images','tamarind'),
				'type' => 'image_gallery',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach images to this page/post.','tamarind').'</div>'
				),
			array(
				'name' => esc_html__('Author Bio','tamarind'),
				'id' => 'pagemeta_post_authorbio',
				'std' => 'rightsidebar',
				'desc' => esc_html__('Display Author Bio','tamarind'),
				'type' => 'select',
				'options' => array(
					'default' => esc_html__('Theme options default','tamarind'),
					'activate' => esc_html__('Activate','tamarind'),
					'disable' => esc_html__('Disable','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Settings','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Layout','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Style','tamarind'),
				'id' => 'pagemeta_pagestyle',
				'type' => 'image',
				'std' => 'rightsidebar',
				'desc' => esc_html__('Note: Edge to Edge - same as 100% Width Template','tamarind'),
				'options' => array(
					'rightsidebar' => $mtheme_imagepath . 'page-right-sidebar.png',
					'leftsidebar' => $mtheme_imagepath . 'page-left-sidebar.png',
					'nosidebar' => $mtheme_imagepath . 'page-no-sidebar.png',
					'edge-to-edge' => $mtheme_imagepath . 'page-edge-to-edge.png')
				),
			array(
				'name' => esc_html__('Header Type','tamarind'),
				'id' => 'pagemeta_header_type',
				'type' => 'select',
				'std' => 'enable',
				'desc' => esc_html__('Header Type for Horizontal menu','tamarind'),
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'overlay' => esc_html__('Overlay','tamarind')
					)
				),
			array(
				'name' => esc_html__('Choice of Sidebar','tamarind'),
				'id' => 'pagemeta_sidebar_choice',
				'type' => 'select',
				'desc' => esc_html__('For Sidebar Active Pages and Posts','tamarind'),
				'options' => $mtheme_sidebar_options
				),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_title_seperator',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Switch Menu','tamarind'),
				'id' => 'pagemeta_menu_choice',
				'type' => 'select',
				'desc' => esc_html__('Select a different menu for this page','tamarind'),
				'options' => tamarind_generate_menulist()
				),
			array(
				'name' => esc_html__('Page Title','tamarind'),
				'id' => 'pagemeta_page_title',
				'type' => 'select',
				'desc' => esc_html__('Page Title','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'show' => esc_html__('Show','tamarind'),
					'hide' => esc_html__('Hide','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_sep-page_backgrounds',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Color','tamarind'),
				'id' => 'pagemeta_pagebackground_color',
				'type' => 'color',
				'desc' => esc_html__('Page color','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Opacity','tamarind'),
				'id' => 'pagemeta_pagebackground_opacity',
				'type' => 'select',
				'desc' => esc_html__('Set Page color and adjust opacity to apply opacity.','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'zero' => esc_html__('Transparent','tamarind'),
					'25' => esc_html__('25%','tamarind'),
					'50' => esc_html__('50%','tamarind'),
					'75' => esc_html__('75%','tamarind'),
					'100' => esc_html__('Opaque','tamarind')
				)
			)
		)
);

$mtheme_post_metapack['video'] = array(
	'id' => 'video-meta-box',
	'title' => esc_html__('Video Metabox','tamarind'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => esc_html__('HTML5 Video','tamarind'),
			'id' => 'pagemeta_video_meta_section1_id',
			'type' => 'break',
			'sectiontitle' => esc_html__('HTML5 Video','tamarind'),
			'std' => ''
			),
		array(
			'name' => esc_html__('M4V File URL','tamarind'),
			'id' => 'pagemeta_video_m4v_file',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Enter M4V File URL ( Required )','tamarind')
			),
		array(
			'name' => esc_html__('OGV File URL','tamarind'),
			'id' => 'pagemeta_video_ogv_file',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Enter OGV File URL','tamarind')
			),
		array(
			'name' => esc_html__('Poster Image','tamarind'),
			'id' => 'pagemeta_video_poster_file',
			'type' => 'upload',
			'target' => 'image',
			'std' => '',
			'desc' => esc_html__('Poster Image','tamarind')
			),
		array(
			'name' => esc_html__('Video Hosts','tamarind'),
			'id' => 'pagemeta_video_meta_section2_id',
			'type' => 'break',
			'std' => '',
			'sectiontitle' => esc_html__('Video Hosts','tamarind')
			),
		array(
			'name' => esc_html__('Youtube Video ID','tamarind'),
			'id' => 'pagemeta_video_youtube_id',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Youtube video ID','tamarind')
			),
		array(
			'name' => esc_html__('Vimeo Video ID','tamarind'),
			'id' => 'pagemeta_video_vimeo_id',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Vimeo video ID','tamarind')
			),
		array(
			'name' => esc_html__('Daily Motion Video ID','tamarind'),
			'id' => 'pagemeta_video_dailymotion_id',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Daily Motion video ID','tamarind')
			),
		array(
			'name' => esc_html__('Google Video ID','tamarind'),
			'id' => 'pagemeta_video_google_id',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Google video ID','tamarind')
			),
		array(
			'name' => esc_html__('Video Embed Code','tamarind'),
			'id' => 'pagemeta_video_embed_code',
			'type' => 'textarea',
			'std' => '',
			'desc' => esc_html__('Video Embed code. You can grab embed codes from hosted video sites.','tamarind')
			)
		)
	);

$mtheme_post_metapack['audio'] = array(
	'id' => 'audio-meta-box',
	'title' => esc_html__('Audio Metabox','tamarind'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => esc_html__('Audio Embed code','tamarind'),
			'id' => 'pagemeta_audio_meta_section1_id',
			'type' => 'break',
			'sectiontitle' => esc_html__('Audio Embed code','tamarind'),
			'std' => ''
			),
		array(
			'name' => esc_html__('Audio Embed code','tamarind'),
			'id' => 'pagemeta_audio_embed',
			'type' => 'textarea',
			'std' => '',
			'desc' => esc_html__('eg. Soundcloud embed code','tamarind')
			),
		array(
			'name' => esc_html__('HTML5 Audio','tamarind'),
			'id' => 'pagemeta_audio_meta_section2_id',
			'type' => 'break',
			'sectiontitle' => esc_html__('HTML5 Audio','tamarind'),
			'std' => ''
			),
		array(
			'name' => esc_html__('MP3 file','tamarind'),
			'id' => 'pagemeta_meta_audio_mp3',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Please provide full url. eg. http://www.domain.com/path/audiofile.mp3','tamarind')
			),
		array(
			'name' => esc_html__('M4A file','tamarind'),
			'id' => 'pagemeta_meta_audio_m4a',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Please provide full url. eg. <code>http://www.domain.com/path/audiofile.m4a','tamarind')
			),
		array(
			'name' => esc_html__('OGA file','tamarind'),
			'id' => 'pagemeta_meta_audio_ogg',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Please provide full url. eg. http://www.domain.com/path/audiofile.ogg','tamarind')
			)
		)
	);

$mtheme_post_metapack['link'] = array(
	'id' => 'link-meta-box',
	'title' => esc_html__('Link Metabox','tamarind'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => esc_html__('Link URL','tamarind'),
			'id' => 'pagemeta_meta_link',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Please provide full url. eg. http://www.domain.com/path/','tamarind')
			)
		)
	);

$mtheme_post_metapack['image'] = array(
	'id' => 'image-meta-box',
	'title' => esc_html__('Image Metabox','tamarind'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => esc_html__('Enable Lightbox','tamarind'),
			'id' => 'pagemeta_meta_lightbox',
			'type' => 'select',
			'options' => array(
				'enabled_lightbox' => esc_html__('Enable Lightbox','tamarind'),
				'disable_lightbox' => esc_html__('Disable Lighbox','tamarind')
				)
			)
		)
	);

$mtheme_post_metapack['quote'] = array(
	'id' => 'quote-meta-box',
	'title' => esc_html__('Quote Metabox','tamarind'),
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
		array(
			'name' => esc_html__('Quote','tamarind'),
			'id' => 'pagemeta_meta_quote',
			'type' => 'textarea',
			'std' => '',
			'desc' => esc_html__('Enter quote here','tamarind')
			),
		array(
			'name' => esc_html__('Author','tamarind'),
			'id' => 'pagemeta_meta_quote_author',
			'type' => 'text',
			'std' => '',
			'desc' => esc_html__('Author','tamarind')
			)
		)
	);
return $mtheme_post_metapack;
}

// Callback function to show fields in meta box
function tamarind_video_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_video_meta_box = $mtheme_post_metapack['video'];
	tamarind_generate_metaboxes($mtheme_video_meta_box, get_the_id() );
}

function tamarind_audio_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_audio_meta_box = $mtheme_post_metapack['audio'];
	tamarind_generate_metaboxes($mtheme_audio_meta_box, get_the_id() );
}

function tamarind_common_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_common_meta_box = $mtheme_post_metapack['main'];
	tamarind_generate_metaboxes($mtheme_common_meta_box,get_the_id());
}

function tamarind_link_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_link_meta_box = $mtheme_post_metapack['link'];
	tamarind_generate_metaboxes($mtheme_link_meta_box, get_the_id() );
}

function tamarind_image_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_image_meta_box = $mtheme_post_metapack['image'];
	tamarind_generate_metaboxes($mtheme_image_meta_box, get_the_id() );
}

function tamarind_quote_show_box() {
	$mtheme_post_metapack = tamarind_post_metadata();
	$mtheme_quote_meta_box = $mtheme_post_metapack['quote'];
	tamarind_generate_metaboxes($mtheme_quote_meta_box, get_the_id() );
}
?>