<?php
function tamarind_woocommerce_metadata() {
$mtheme_sidebar_options = tamarind_generate_sidebarlist('portfolio');

$mtheme_imagepath =  get_template_directory_uri() . '/framework/options/images/metaboxes/';

$mtheme_woocommerce_box = array(
	'id' => 'woocommercemeta-box',
	'title' => esc_html__('Woocommerce Metabox','tamarind'),
	'page' => 'page',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
			array(
				'name' => esc_html__('Page Options','tamarind'),
				'id' => 'pagemeta_page_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Options','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Options','tamarind'),
				'id' => 'pagemeta_sep_page_options',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Attach Images','tamarind'),
				'id' => 'pagemeta_image_attachments',
				'std' => esc_html__('Upload Images','tamarind'),
				'type' => 'image_gallery',
				'desc' => '<div class="metabox-note">'.esc_html__('Attach images. Images can be used to generate when using shortcodes','tamarind').'</div>'
				),
			array(
				'name' => esc_html__('Page Settings','tamarind'),
				'id' => 'pagemeta_page_title_seperator',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Header Type','tamarind'),
				'id' => 'pagemeta_header_type',
				'type' => 'select',
				'std' => 'enable',
				'desc' => esc_html__('Header Type for Horizontal menu','tamarind'),
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'overlay' => esc_html__('Overlay','tamarind')
					)
				),
			array(
				'name' => esc_html__('Switch Menu','tamarind'),
				'id' => 'pagemeta_menu_choice',
				'type' => 'select',
				'desc' => esc_html__('Select a different menu for this page','tamarind'),
				'options' => tamarind_generate_menulist()
				),
			array(
				'name' => esc_html__('Page Title','tamarind'),
				'id' => 'pagemeta_page_title',
				'type' => 'select',
				'desc' => esc_html__('Page Title','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'show' => esc_html__('Show','tamarind'),
					'hide' => esc_html__('Hide','tamarind')
					)
				),
			array(
				'name' => esc_html__('Page Background','tamarind'),
				'id' => 'pagemeta_background_section_id',
				'type' => 'break',
				'sectiontitle' => esc_html__('Page Background','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Background / Top Media','tamarind'),
				'id' => 'pagemeta_sep-page_backgrounds',
				'type' => 'seperator',
				),
			array(
				'name' => esc_html__('Page Color','tamarind'),
				'id' => 'pagemeta_pagebackground_color',
				'type' => 'color',
				'desc' => esc_html__('Page color','tamarind'),
				'std' => ''
				),
			array(
				'name' => esc_html__('Page Opacity','tamarind'),
				'id' => 'pagemeta_pagebackground_opacity',
				'type' => 'select',
				'desc' => esc_html__('Set Page background color and adjust opacity to apply opacity.','tamarind'),
				'std' => 'default',
				'options' => array(
					'default' => esc_html__('Default','tamarind'),
					'zero' => esc_html__('Transparent','tamarind'),
					'25' => esc_html__('25%','tamarind'),
					'50' => esc_html__('50%','tamarind'),
					'75' => esc_html__('75%','tamarind'),
					'100' => esc_html__('Opaque','tamarind')
				)
			)
		)
);
return $mtheme_woocommerce_box;
}
/*
* Meta options for Portfolio post type
*/
function tamarind_woocommerceitem_metaoptions(){
	$mtheme_woocommerce_box = tamarind_woocommerce_metadata();
	tamarind_generate_metaboxes($mtheme_woocommerce_box,get_the_id());
}
?>