<?php
/**
 * @Functions
 * 
 */
?>
<?php
/*-------------------------------------------------------------------------*/
/* Theme name settings which is shared to some functions */
/*-------------------------------------------------------------------------*/
// Minimum contents area
if ( ! isset( $content_width ) ) { $content_width = 756; }
function tamarind_rewrite_flush() {
    flush_rewrite_rules();
}
add_action( 'after_switch_theme', 'tamarind_rewrite_flush' );
/*-------------------------------------------------------------------------*/
/* Load Theme Options */
/*-------------------------------------------------------------------------*/
require_once (get_template_directory() . '/framework/options/options-caller.php');
/*-------------------------------------------------------------------------*/
/* Theme Setup */
/*-------------------------------------------------------------------------*/
if ( !function_exists( 'tamarind_setup' ) ) {
	function tamarind_setup() {
		//Add Background Support
		add_theme_support( 'custom-background' );

		// Adds RSS feed links to <head> for posts and comments.
		add_theme_support( 'automatic-feed-links' );
		// Let WordPress manage the document title.
		add_theme_support( 'title-tag' );
		// Register Menu
		register_nav_menu( 'main_menu', 'Main Menu' );
		register_nav_menu( 'mobile_menu', 'Mobile Menu' );
		/*-------------------------------------------------------------------------*/
		/* Internationalize for easy localizing */
		/*-------------------------------------------------------------------------*/
		load_theme_textdomain( 'tamarind', get_template_directory() . '/languages' );
		$locale = get_locale();
		$locale_file = get_template_directory() . '/languages/$locale.php';
		if ( is_readable( $locale_file ) ) {
			require_once( $locale_file );
		}
		/*
		 * This theme styles the visual editor to resemble the theme style and column width.
		 */
		add_editor_style( array( 'css/editor-style.css' ) );
		/*-------------------------------------------------------------------------*/
		/* Add Post Thumbnails */
		/*-------------------------------------------------------------------------*/
		add_theme_support( 'post-thumbnails' );
		// This theme supports Post Formats.
		add_theme_support( 'post-formats', array( 'aside', 'gallery', 'link', 'image', 'quote', 'video', 'audio') );
		
		set_post_thumbnail_size( 150, 150, true ); // Default thumbnail size
		add_image_size('tamarind-gridblock-square-big', 770, 770, true ); // Square
		add_image_size('tamarind-gridblock-tiny', 160, 160,true); // Sidebar Thumbnails
		add_image_size('tamarind-gridblock-large', 770, 550,true); // Portfolio
		add_image_size('tamarind-gridblock-large-portrait', 550,770,true); // Portrait
		add_image_size('tamarind-gridblock-full', 1400, '',true); // Fullwidth
		add_image_size('tamarind-gridblock-full-medium', 800, '', true ); // Medium

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );
	}
}
add_action( 'after_setup_theme', 'tamarind_setup' );
add_filter('use_block_editor_for_post', '__return_false');
/*-------------------------------------------------------------------------*/
/* Load Framework sections
/*-------------------------------------------------------------------------*/
require_once (get_template_directory() . '/framework/functions/theme-functions.php');
function tamarind_get_max_sidebars() {
	$max_sidebars = 50;
	return $max_sidebars;
}
add_action('tamarind_display_portfolio_single_navigation','tamarind_display_portfolio_single_navigation_action');
function tamarind_display_portfolio_single_navigation_action() {
	if (is_singular('mtheme_portfolio') || is_singular('mtheme_events')) {

		if ( is_singular('mtheme_portfolio') ) {
			$mtheme_post_archive_link = get_post_type_archive_link( 'mtheme_portfolio' );
			$theme_options_mtheme_post_arhive_link = tamarind_get_option_data('portfolio_archive_page');
			$portfolio_nav = tamarind_get_custom_post_nav();
		}
		if ( is_singular('mtheme_events') ) {
			$mtheme_post_archive_link = get_post_type_archive_link( 'mtheme_events' );
			$theme_options_mtheme_post_arhive_link = tamarind_get_option_data('events_archive_page');
			$portfolio_nav = tamarind_get_custom_post_nav($custom_type='mtheme_events');
		}
		if ($theme_options_mtheme_post_arhive_link!=0) {
			$mtheme_post_archive_link = get_page_link($theme_options_mtheme_post_arhive_link);
		}
		if (isSet($portfolio_nav['prev'])) {
			$previous_portfolio = $portfolio_nav['prev'];
		}
		if (isSet($portfolio_nav['next'])) {
			$next_portfolio = $portfolio_nav['next'];
		}
?>
	
	<div class="portfolio-nav-wrap">
		<nav>
			<div class="portfolio-nav">
				<span class="portfolio-nav-item portfolio-prev">
				<?php
				if (isSet($portfolio_nav['prev'])) {
				?>
					<a href="<?php echo esc_url( get_permalink( $previous_portfolio ) ); ?>"><i class="ion-ios-arrow-thin-left"></i></a>
				<?php
				} else {
				?>
					<span><i class="ion-ios-arrow-thin-left"></i></span>
				<?php
				}
				?>
				</span>
				<span class="portfolio-nav-item portfolio-nav-archive">
					<a href="<?php echo esc_url( $mtheme_post_archive_link ); ?>"><i class="ion-grid"></i></a>
				</span>
				<span class="portfolio-nav-item portfolio-next">
				<?php
				if (isSet($portfolio_nav['next'])) {
				?>
					<a href="<?php echo esc_url( get_permalink( $next_portfolio ) ); ?>"><i class="ion-ios-arrow-thin-right"></i></a>
				<?php
				} else {
				?>
					<span><i class="ion-ios-arrow-thin-right"></i></span>
				<?php
				}
				?>
				</span>
			</div>
		</nav>
	</div>
	
<?php
	}
}
add_action('tamarind_display_photostory_single_navigation','tamarind_display_photostory_single_navigation_action');
function tamarind_display_photostory_single_navigation_action() {
	if (is_singular('mtheme_photostory')) {

		$mtheme_post_archive_link = get_post_type_archive_link( 'mtheme_photostory' );
		$theme_options_mtheme_post_arhive_link = tamarind_get_option_data('photostory_archive_page');
		if ($theme_options_mtheme_post_arhive_link!=0) {
			$mtheme_post_archive_link = get_page_link($theme_options_mtheme_post_arhive_link);
		}

		$portfolio_nav = tamarind_get_custom_post_nav('mtheme_photostory');
		if (isSet($portfolio_nav['prev'])) {
			$previous_portfolio = $portfolio_nav['prev'];
		}
		if (isSet($portfolio_nav['next'])) {
			$next_portfolio = $portfolio_nav['next'];
		}
?>
<nav>
	<div class="portfolio-nav-wrap">
		<div class="portfolio-nav">
			<?php
			if (isSet($portfolio_nav['prev'])) {
			?>
			<span title="<?php echo esc_attr('Previous','tamarind'); ?>" class="portfolio-nav-item portfolio-prev">
				<a href="<?php echo esc_url( get_permalink( $previous_portfolio ) ); ?>"><i class="ion-ios-arrow-left"></i></a>
			</span>
			<?php
			}
			?>
			<span title="<?php echo esc_attr('Gallery','tamarind'); ?>" class="portfolio-nav-item portfolio-nav-archive">
				<a href="<?php echo esc_url( $mtheme_post_archive_link ); ?>"><i class="ion-grid"></i></a>
			</span>
			<?php
			if (isSet($portfolio_nav['next'])) {
			?>
			<span title="<?php echo esc_attr('Next','tamarind'); ?>" class="portfolio-nav-item portfolio-next">
				<a href="<?php echo esc_url( get_permalink( $next_portfolio ) ); ?>"><i class="ion-ios-arrow-right"></i></a>
			</span>
			<?php
			}
			?>
		</div>
	</div>
</nav>
<?php
	}
}
/*-------------------------------------------------------------------------*/
/* Admin JS and CSS */
/*-------------------------------------------------------------------------*/
if ( is_admin() ) {
	function tamarind_admin_post_style_scripts() {
		if ( function_exists('get_current_screen') ) {
			$current_admin_screen = get_current_screen();
		}
		if (isSet($current_admin_screen)) {

			wp_register_script( 'tamarind-of-medialibrary-uploader', get_template_directory_uri() . '/framework/options/admin/js/of-medialibrary-uploader.js', array( 'jquery' ) );
				
			if ($current_admin_screen->base == 'post') {
				wp_enqueue_style('tamarind-admin-styles', get_template_directory_uri() .'/framework/admin/css/style.css',false, 'screen' );
				wp_enqueue_style( 'wp-color-picker');
				wp_enqueue_script('wp-color-picker');
				wp_enqueue_script('tamarind-admin-postmeta', get_template_directory_uri().'/framework/admin/js/postmetaboxes.js', array( 'jquery' ),null, true );

				wp_enqueue_script( 'tamarind-of-medialibrary-uploader' );
				wp_enqueue_media();

				$post_gallery_ids = get_post_meta( get_the_ID(), '_mtheme_image_ids', true );
				wp_localize_script( 'jquery', 'tamarind_admin_vars', array(
					'placesize' => __('Size', 'tamarind'),
					'placeprice' => __('Price', 'tamarind'),
					'placeremove' => __('Remove', 'tamarind'),
				    'post_id' => get_the_ID(),
				    'post_gallery' => $post_gallery_ids,
				    'nonce' => wp_create_nonce( 'tamarind-nonce-metagallery' )
				));
			}
			if ($current_admin_screen->base == 'nav-menus') {
        		wp_enqueue_style( 'tamarind-admin-megamenu', get_template_directory_uri() . '/framework/megamenu/megamenu.css' );
    		}
			if ($current_admin_screen->base == 'appearance_page_options-framework') {
				wp_enqueue_script( 'tamarind-of-medialibrary-uploader' );
				wp_enqueue_media();
				wp_enqueue_style('tamarind-admin-style', get_template_directory_uri() . '/framework/options/admin/css/admin-style.css');
				wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/fonts/font-awesome/css/font-awesome.min.css', array( 'tamarind-admin-style' ), false, 'screen' );
				wp_enqueue_style( 'ion-icons', get_template_directory_uri() . '/css/fonts/ionicons/css/ionicons.min.css', array( 'tamarind-admin-style' ), false, 'screen' );
				wp_enqueue_style( 'wp-color-picker');
				wp_enqueue_script('wp-color-picker');
				wp_enqueue_script('jquery-ui-core');
				wp_enqueue_script( 'tamarind-options-custom', get_template_directory_uri() . '/framework/options/admin/js/options-custom.js', array( 'wp-color-picker' ), false, true );
				wp_enqueue_script('jquery-ui-sortable');
				wp_enqueue_script('jquery-ui-slider');
    		}
		}
	}
	add_action('admin_enqueue_scripts', 'tamarind_admin_post_style_scripts');
}
/*
Register Fonts
*/
if ( !function_exists('tamarind_fonts_url') ) {
	function tamarind_fonts_url() {
	    $font_url = '';
	    
	    /*
	    Translators: If there are characters in your language that are not supported
	    by chosen font(s), translate this to 'off'. Do not translate into your own language.
	     */

	    if ( 'off' !== _x( 'on', 'Google font: on or off', 'tamarind' ) ) {
	        $font_url = add_query_arg( 'family', urlencode( 'Open Sans:300,300i,400,400i,600,600i,700,700i,800,800i|Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i|Cabin:400,400i,500,500i,600,600i,700,700i|PT Mono' ), '//fonts.googleapis.com/css' );
	    }
	    return $font_url;
	}
}
function tamarind_function_scripts_styles() {
	/*-------------------------------------------------------------------------*/
	/* Register Scripts and Styles
	/*-------------------------------------------------------------------------*/
	// 
	/* Common Styles */
	wp_enqueue_style( 'tamarind-MainStyle', get_stylesheet_directory_uri() . '/style.css',false, 'screen' );

	// Touch Swipe
	wp_enqueue_script( 'velocity', get_template_directory_uri() . '/js/velocity.min.js', array( 'jquery' ),null, true );
	wp_enqueue_script( 'velocity-ui', get_template_directory_uri() . '/js/velocity.ui.js', array( 'velocity' ),null, true );

	wp_enqueue_script( 'lazysizes', get_template_directory_uri() . '/js/lazysizes.min.js', array( 'jquery' ),null, true );
	wp_enqueue_script( 'ls-unveilhooks' );
	wp_enqueue_script( 'tamarind-verticalmenu', get_template_directory_uri() . '/js/menu/verticalmenu.js', array( 'jquery' ),null, true );

	if( is_ssl() ) {
		$protocol = 'https';
	} else {
		$protocol = 'http';
	}

    // Google Maps Loader
	$googlemap_apikey=tamarind_get_option_data('googlemap_apikey');
	if (!isSet($googlemap_apikey)) {
		$googlemap_apikey = '';
	}
    wp_register_script( 'googlemaps-api', esc_url($protocol . '://maps.google.com/maps/api/js?key='.$googlemap_apikey) , array( 'jquery' ),null, false );

	// Responsive Style
	wp_register_style( 'tamarind-ResponsiveCSS', get_template_directory_uri() . '/css/responsive.css',array( 'tamarind-MainStyle' ),false, 'screen' );

	// Dynamic Styles
	wp_register_style( 'tamarind-Dynamic_CSS', get_template_directory_uri() . '/css/dynamic_css.php',array( 'tamarind-MainStyle' ),false, 'screen' );

/*-------------------------------------------------------------------------*/
/* Start Loading
/*-------------------------------------------------------------------------*/
	wp_enqueue_script( 'superfish', get_template_directory_uri() . '/js/menu/superfish.js', array( 'jquery' ),null, true );

	$ligthbox_transition=tamarind_get_option_data('lightbox_transition');
	$lightbox_thumbnails_status=tamarind_get_option_data('lightbox_thumbnails_status');
	$ligthbox_transition_js = 'lg-slide';
	$ligthbox_thumbnails_js = 'false';
	if ( isSet($ligthbox_transition) && $ligthbox_transition<>'') {
		$ligthbox_transition_js = $ligthbox_transition;
	}
	if ( isSet($lightbox_thumbnails_status) && $lightbox_thumbnails_status=='enable') {
		$ligthbox_thumbnails_js = 'true';
	}
	wp_localize_script('jquery', 'tamarind_vars' , array(
		'mtheme_uri' => esc_url( get_template_directory_uri() ),
		'lightbox_thumbnails' => esc_js($ligthbox_thumbnails_js),
		'lightbox_transition' => esc_js($ligthbox_transition_js)
	));

	wp_register_style( 'tamarind-elements', get_template_directory_uri() . '/css/elements.css', array( 'tamarind-MainStyle' ), false, 'screen' );

	wp_enqueue_script( 'fitvids' );

	wp_enqueue_script ('waypoints');
	wp_enqueue_script ('imagesloaded');
	wp_enqueue_script('hoverIntent');
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('jquery-ui-tooltip');

	wp_enqueue_script('flatpickr');
	wp_enqueue_style('flatpickr');
	wp_enqueue_script('chosen');
	wp_enqueue_style('chosen');

	wp_enqueue_script ('owlcarousel');
	wp_enqueue_style ('owlcarousel');

    wp_enqueue_script( 'modernizr' );
    wp_enqueue_script ('gridrotator');
    wp_enqueue_script( 'classie' );
    
    if ( !wp_is_mobile() ) {
		wp_enqueue_script( 'jarallax' );
	}

    wp_enqueue_script( 'lightgallery' );
    wp_enqueue_style( 'lightgallery' );
    wp_enqueue_style( 'lightgallery-transitions' );

	wp_enqueue_script( 'tamarind-common', get_template_directory_uri() . '/js/common.js', array( 'jquery' ),null, true );

	// Get Theme Style
	$theme_style='light';
	wp_enqueue_style( 'tamarind-Animations', get_template_directory_uri() . '/css/animations.css', array( 'tamarind-MainStyle' ), false, 'screen' );

	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/fonts/font-awesome/css/font-awesome.min.css', array( 'tamarind-MainStyle' ), false, 'screen' );
	wp_enqueue_style( 'ion-icons', get_template_directory_uri() . '/css/fonts/ionicons/css/ionicons.min.css', array( 'tamarind-MainStyle' ), false, 'screen' );
	wp_enqueue_style( 'et-fonts', get_template_directory_uri() . '/css/fonts/et-fonts/et-fonts.css', array( 'tamarind-MainStyle' ), false, 'screen' );
	wp_enqueue_style( 'feather-webfonts', get_template_directory_uri() . '/css/fonts/feather-webfont/feather.css', array( 'tamarind-MainStyle' ), false, 'screen' );
	wp_enqueue_style( 'fontello', get_template_directory_uri() . '/css/fonts/fontello/css/fontello.css', array( 'tamarind-MainStyle' ), false, 'screen' );
	wp_enqueue_style( 'simple-line-icons', get_template_directory_uri() . '/css/fonts/simple-line-icons/simple-line-icons.css', array( 'tamarind-MainStyle' ), false, 'screen' );

	//*** End of Common Script and Style Loads **//

	// Conditional Owl Slideshow
	if ( is_archive() || is_single() || is_search() || is_home() || is_page_template('template-bloglist.php') || is_page_template('template-bloglist-small.php') || is_page_template('template-bloglist_fullwidth.php') || is_page_template('template-gallery-posts.php') ) {
			wp_enqueue_script ('owlcarousel');
			wp_enqueue_style ('owlcarousel');
	}
	if ( is_singular('mtheme_portfolio') || is_singular('mtheme_gallery') ) {
		wp_enqueue_script ('event-move');
		wp_enqueue_script ('twentytwenty');
	}
	if ( is_singular('mtheme_gallery') ) {
		wp_enqueue_script ('fotorama');
		wp_enqueue_style ('fotorama');
	}
	if(is_single()) {
		wp_enqueue_script ('owlcarousel');
		wp_enqueue_style ('owlcarousel');
	}
	// Conditional Load jPlayer
	if ( is_archive() || is_single() || is_search() || is_home() || tamarind_is_fullscreen_home() || is_page_template('template-bloglist.php') || is_page_template('template-bloglist-small.php') || is_page_template('template-bloglist_fullwidth.php') || is_page_template('template-video-posts.php') || is_page_template('template-audio-posts.php') ) {
			wp_enqueue_script ('jplayer');
			wp_enqueue_style ('jplayer');
	}

	// Load Dynamic Styles last to over-ride all
	require_once ( get_template_directory() . '/css/dynamic_css.php' );
	wp_enqueue_style( 'tamarind-fonts', tamarind_fonts_url(), array(), '1.0.0' );
	wp_add_inline_style( 'tamarind-ResponsiveCSS', $dynamic_css );

	wp_enqueue_script ('tilt');

	if ( is_404() ) {
		wp_enqueue_script ('isotope');
	}
	if ( is_archive() ) {
		wp_enqueue_script ('isotope');
	}
	if ( is_search() && isSet( $_GET['photostock'] ) ) {
		wp_enqueue_script ('isotope');
	}

	// Conditional Load jQueries
	if(tamarind_got_shortcode('tabs') || tamarind_got_shortcode('accordion')) {
	    wp_enqueue_script('jquery-ui-core');
	    wp_enqueue_script('jquery-ui-tabs');
	    wp_enqueue_script('jquery-ui-accordion');
	}

	if(tamarind_got_shortcode('beforeafter') ) {
		wp_enqueue_script ('event-move');
		wp_enqueue_script ('twentytwenty');
	}

	if(tamarind_got_shortcode('portfoliogrid') || is_page_template('template-eventgallery.php') || is_page_template('template-photostorygallery.php') || tamarind_got_shortcode('thumbnails') || is_post_type_archive() || is_tax() || is_singular('mtheme_gallery') || is_singular('mtheme_proofing')) {
		wp_enqueue_script ('isotope');
	}

	if(tamarind_got_shortcode('count')) { 
		wp_enqueue_script ('odometer');
	}
	//Counter
	if(tamarind_got_shortcode('counter')) {
		wp_enqueue_script ('donutchart');
	}
	//Caraousel
	if(tamarind_got_shortcode('workscarousel')) {
		wp_enqueue_script ('owlcarousel');
		wp_enqueue_style ('owlcarousel');
	}
	if(tamarind_got_shortcode('woocommerce_carousel_bestselling')) {
		wp_enqueue_script ('owlcarousel');
		wp_enqueue_style ('owlcarousel');
	}
	if(tamarind_got_shortcode('map')) {
		wp_enqueue_script ('googlemaps-api');
	}

	if( tamarind_got_shortcode('woocommerce_featured_slideshow') || tamarind_got_shortcode('blogcarousel') || tamarind_got_shortcode('slideshowcarousel') || tamarind_got_shortcode('recent_blog_slideshow') || tamarind_got_shortcode('recent_portfolio_slideshow') || tamarind_got_shortcode('portfoliogrid') || tamarind_got_shortcode('testimonials') ) {
		wp_enqueue_script ('owlcarousel');
		wp_enqueue_style ('owlcarousel');
	}

	if( tamarind_got_shortcode('audioplayer') || tamarind_got_shortcode('bloglist') || tamarind_got_shortcode('blogtimeline') || tamarind_got_shortcode('recentblog') ) {
		wp_enqueue_script ('jplayer');
		wp_enqueue_style ('jplayer');
	}

	if( tamarind_got_shortcode('carousel_group') ) {
		wp_enqueue_script ('owlcarousel');
		wp_enqueue_style ('owlcarousel');
	}

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if ( is_singular() ) {
	// Background slideshow or image
		$bg_choice = get_post_meta( get_the_id() , 'pagemeta_meta_background_choice', true);
	}
	// Load scripts based on Background Image / Slideshow Choice
	if ( is_archive() || is_search() || is_404() ) {
		$bg_choice='default';
	}
	if ( is_home() ) {
			$bg_choice='default';
	}
	if ( tamarind_is_fullscreen_post() ) {
			$bg_choice='background_color';
	}
	if ( tamarind_page_is_woo_shop() ) {
		$woo_shop_post_id = get_option( 'woocommerce_shop_page_id' );
		$bg_choice = get_post_meta( $woo_shop_post_id , 'pagemeta_meta_background_choice', true);
	}
	if ( post_password_required () && is_singular('mtheme_clients') ) {
		$bg_choice = 'none';
	}
	if ( post_password_required () && is_singular('mtheme_portfolio') ) {
		$bg_choice = 'none';
	}
	
	$pagecolor_set = false;

	if ( is_archive() ) {
		$page_bg_color_themeoptions = tamarind_get_option_data('page_background');
		$page_bg_opacity_themeoptions = tamarind_get_option_data('page_background_opacity');

		$final_page_bgcolor_rgba=tamarind_hex2RGB($page_bg_color_themeoptions,true);
		$page_opacity = $page_bg_opacity_themeoptions / 100;

		if (isSet($final_page_bgcolor_rgba) && $final_page_bgcolor_rgba<>'') {
			$apply_pagebackground_color = '.container-wrapper,.fullscreen-protected #password-protected { background: rgba('. $final_page_bgcolor_rgba .','.$page_opacity.'); }';
			wp_add_inline_style( 'tamarind-ResponsiveCSS', $apply_pagebackground_color );
		}

		$pagecolor_set = true;
	}

	if ( is_singular() ) {
		// Set Opacity from Page

		$page_bg_color = get_post_meta( get_the_id() , 'pagemeta_pagebackground_color', true);
		$page_opacity = get_post_meta( get_the_id() , 'pagemeta_pagebackground_opacity', true);

		$page_opacity_customize = tamarind_get_option_data('page_opacity_customize');
		if ($page_opacity_customize) {
			$page_bg_color = tamarind_get_option_data('page_background');
			$page_opacity = tamarind_get_option_data('page_background_opacity');
		}

		if ( isSet($page_bg_color) && isSet($page_opacity) ) {
			if ( $page_bg_color<>'' ) {
				if ($page_opacity=='default') {
					$page_opacity = '90';
				}

				if ( tamarind_page_is_woo_shop() ) {
					$woo_shop_post_id = get_option( 'woocommerce_shop_page_id' );
					// Set Opacity from Page
					$page_opacity = get_post_meta( $woo_shop_post_id, 'pagemeta_pagebackground_opacity', true);
					$page_bg_color = get_post_meta( $woo_shop_post_id , 'pagemeta_pagebackground_color', true);

				}
				if ( tamarind_is_fullscreen_post() ) {
					if ( isSet($page_bg_color)) {
						$apply_background_color = 'body.page-is-fullscreen,#supersized li { background:'.$page_bg_color.'; }';
						wp_add_inline_style( 'tamarind-ResponsiveCSS', $apply_background_color );
					}
				} else {
					if ( isSet($page_opacity) && $page_opacity<>'default' && $page_opacity<>'' && isSet($page_bg_color) ) {
						// Page background color is set
						if ($page_bg_color<>'') {
							$final_page_bgcolor = $page_bg_color;
							// Convert color to rgba
							$final_page_bgcolor_rgba=tamarind_hex2RGB($final_page_bgcolor,true);
							$page_opacity = $page_opacity / 100;

							if (isSet($final_page_bgcolor_rgba) && $final_page_bgcolor_rgba<>'') {
								$apply_pagebackground_color = '.container-wrapper,.fullscreen-protected #password-protected { background: rgba('. $final_page_bgcolor_rgba .','.$page_opacity.'); }';
								wp_add_inline_style( 'tamarind-ResponsiveCSS', $apply_pagebackground_color );
							}
						}
					}
				}
			}
		}
	}

	if( is_ssl() ) {
		$protocol = 'https';
	} else {
		$protocol = 'http';
	}

	// Load Fonts
	// This enqueue method through the function prevent any double loading of fonts.
	$rcm_font = tamarind_enqueue_font ('rcm_font');
	if ($rcm_font['name'] != 'Default+Font' ) {
		wp_enqueue_style( $rcm_font['name'], $rcm_font['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}
	$page_contents = tamarind_enqueue_font ('page_contents');
	if ($page_contents['name'] != 'Default+Font') {
		wp_enqueue_style( $page_contents['name'], $page_contents['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$super_title = tamarind_enqueue_font ('super_title');
	if ($super_title['name'] != 'Default+Font') {
		wp_enqueue_style( $super_title['name'], $super_title['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$super_caption = tamarind_enqueue_font ('super_caption');
	if ($super_caption['name'] != 'Default+Font') {
		wp_enqueue_style( $super_caption['name'], $super_caption['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$hero_title = tamarind_enqueue_font ('hero_title');
	if ($hero_title['name'] != 'Default+Font') {
		wp_enqueue_style( $hero_title['name'], $hero_title['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$heading_font = tamarind_enqueue_font ('heading_font');
	if ($heading_font['name'] != 'Default+Font') {
		wp_enqueue_style( $heading_font['name'] , $heading_font['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$menu_font = tamarind_enqueue_font ('menu_font');
	if ($menu_font['name'] != 'Default+Font') {
		wp_enqueue_style( $menu_font['name'], $menu_font['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	$hero_font = tamarind_enqueue_font ('hero_title');
	if ($hero_font['name'] != 'Default+Font') {
		wp_enqueue_style( $hero_font['name'], $hero_font['url'] , array( 'tamarind-MainStyle' ), null, 'screen' );
	}

	// ******* Load Responsive and Custom Styles
	wp_enqueue_style ('tamarind-ResponsiveCSS');
	// ******* No more styles will be loaded after this line

}
add_action( 'wp_enqueue_scripts', 'tamarind_function_scripts_styles' );
// Pagination for Custom post type singular portfoliogallery
add_filter('redirect_canonical','tamarind_disable_redirect_canonical');
function tamarind_disable_redirect_canonical( $redirect_url ) {
    if ( is_singular( 'portfoliogallery' ) ) {
		$redirect_url = false;
	}
    return $redirect_url;
}

add_filter( 'option_posts_per_page', 'tamarind_tax_filter_posts_per_page' );
function tamarind_tax_filter_posts_per_page( $value ) {
    return (is_tax('types')) ? 1 : $value;
}
// Add to Body Class
function tamarind_body_class( $classes ) {

	if ( wp_is_mobile() ) {
		$classes[] = 'parallax-is-off';
	}

	$lightbox_thumbnails_status=tamarind_get_option_data('lightbox_thumbnails_status');
	if ( isSet($lightbox_thumbnails_status) && $lightbox_thumbnails_status=='enable') {
		$classes[] = 'lightbox-thumbnails-active';
	}

	if (isSet( $_GET['photostock'] )) {
		$classes[] = 'edge-to-edge';
		$classes[] = 'searching-photostock';
		if ( isSet( $_GET['s'] ) && $_GET['s']<>'' ) {
			$classes[] = 'searching-for-photostock-term';
		}
	}
	if ( is_tax('phototag') ) {
		$classes[] = 'edge-to-edge';
		$classes[] = 'searching-photostock';
	}

	$classes[] = 'fullscreen-mode-off';

	if ( tamarind_page_has_background() ) {
		$classes[] = 'page-has-full-background';
	}

	if ( is_active_sidebar( 'social_header' ) ) {
		$classes[] = 'menu-social-active';
	} else {
		$classes[] = 'menu-social-inactive';
	}

	if ( is_active_sidebar( 'footer_1' ) ) {
		$classes[] = 'footer-widgets-active';
	} else {
		$classes[] = 'footer-widgets-inactive';
	}
	
	if ( tamarind_get_option_data('rightclick_disable') ) {
		$classes[] = 'rightclick-block';
	}
	if ( ! is_multi_author() ) {
		$classes[] = 'single-author';
	}

	if ( class_exists( 'woocommerce' ) ) {
		if ( is_shop() || is_product_category() ) {
			$shop_layout = false;
			$shop_layout = tamarind_get_option_data('mtheme_wooarchive_sidebar');
			if (tamarind_is_in_demo()) {
				if ( false != tamarind_demo_get_data('woo_style') ) {
					$shop_layout = tamarind_demo_get_data('woo_style');
				}
			}
			if ( $shop_layout ) {
				$classes[] = 'wooshop-has-sidebar-archive';
			} else {
				$classes[] = 'wooshop-no-sidebar-archive';
			}
		}
	}

	if ( !is_archive() ) {
		if ( post_password_required() ) {
			$classes[] = 'mtheme-password-required';
		}
	}

	$skin_style = 'light';
	$classes[] = 'theme-is-' . $skin_style;
	if ( tamarind_is_in_demo() ) {
		$classes[] = 'demo';
	}
	if ( ! has_nav_menu( 'main_menu' ) ) {
		$classes[] = 'mtheme-menu-inactive';
	}

	$header_menu_type = tamarind_get_option_data('header_menu_type');
	if (tamarind_is_in_demo()) {
		if ( false != tamarind_demo_get_data('menu_type') ) {
			$header_menu_type = tamarind_demo_get_data('menu_type');
		}
	}
	
	switch ($header_menu_type) {
		case 'center-logo':
			$classes[] = 'center-logo';
			$classes[] = 'menu-is-horizontal';
			break;
		case 'split-menu':
			$classes[] = 'split-menu';
			$classes[] = 'menu-is-horizontal';
			break;
		case 'vertical-menu':
			$classes[] = 'menu-is-vertical';
			break;
		
		default:
			$classes[] = 'left-logo';
			$classes[] = 'menu-is-horizontal';
			break;
	}

	$page_data = get_post_custom( get_the_id() );

	$classes[] = 'page-is-not-fullscreen';

	if ( is_archive() ) {
		$classes[] = 'header-is-default';
	}

	$classes[] = 'fullscreen-ui-switchable';

	$hide_pagetitle=tamarind_get_option_data('hide_pagetitle');
	if ($hide_pagetitle=='1') {
		$classes[] = 'page-has-no-title-sidewide';
	}

	$header_is_set = false;

	if ( is_singular() ) {

		$header_page_id = get_the_id();
		if ( tamarind_is_fullscreen_home() ) {
			$header_page_id =tamarind_get_active_fullscreen_post();
		}

		$header_page_data = get_post_custom( $header_page_id );
		if (isSet($header_page_data['pagemeta_header_type'][0])) {
			$header_type = get_post_meta( $header_page_id , 'pagemeta_header_type', true);
			$classes[] = 'header-type-'.$header_type;
			$header_is_set = true;
		} else {
			$classes[] = 'header-type-default';
			$header_is_set = true;
		}

		$page_opacity = get_post_meta( get_the_id() , 'pagemeta_pagebackground_opacity', true);
		$page_bg_color = get_post_meta( get_the_id() , 'pagemeta_pagebackground_color', true);

		if ( isSet($page_opacity) && $page_opacity<>'default' && $page_opacity<>'100' && $page_opacity<>'' ) {
			$page_transparency_class = 'page-is-transparent';
		} else {
			$page_transparency_class = 'page-is-opaque';
		}

		$bg_choice= get_post_meta(get_the_id(), 'pagemeta_meta_background_choice', true);
		if ( isSet($bg_choice) && $bg_choice=='none') {
			$classes[] = 'page-media-not-set';
		}

		if ( isSet($page_transparency_class) ) {
			$classes[] = $page_transparency_class;
		}

		$page_title = get_post_meta( get_the_id() , 'pagemeta_page_title', true);

		if ( is_singular('mtheme_proofing') ) {
			$client_id = get_post_meta( get_the_id() , 'pagemeta_client_names', true);
			$proofing_status = get_post_meta( get_the_id() , 'pagemeta_proofing_status', true);
			if ( isSet($client_id) ) {
				if ( post_password_required($client_id) ) {
					$classes[] = 'password-protected-client-mode';
				}
			}
			if ( isSet($proofing_status) ) {
				$classes[] = 'proofing-status-'.$proofing_status;
			}
		}
		if ( is_singular('mtheme_clients') ) {
			if ( post_password_required() ) {
				$classes[] = 'password-protected-client-mode';
			}
		}
		if ( isSet($page_title) && $page_title == 'hide') {
			$classes[] = 'page-has-no-title';
		}
		if ( isSet($page_title) && $page_title == 'show') {
			$classes[] = 'page-has-title';
		}
	}

	if (!$header_is_set) {
		$classes[] = 'header-type-default';
	}

	$classes[] = 'theme-fullwidth';
	$classes[] = 'body-dashboard-push';

	$footerwidget_status = tamarind_get_option_data('footerwidget_status');
	if ($footerwidget_status) {
		$classes[] = 'footer-is-on';
	} else {
		$classes[] = 'footer-is-off';
	}

	if ( is_singular() ) {

		$isactive = get_post_meta( get_the_id(), 'mtheme_pb_isactive', true );
		if (isSet($isactive) && $isactive==1) {
			$classes[] = 'pagebuilder-active';
		} else {
			$classes[] = 'pagebuilder-not-active';
		}

		if (isSet($page_data['pagemeta_pagestyle'][0])) {
			$pagestyle = $page_data['pagemeta_pagestyle'][0];
			if ($pagestyle=='rightsidebar') {
				$classes[] = 'rightsidebar';
				$classes[] = 'page-has-sidebar';
			}
			if ($pagestyle=='leftsidebar') {
				$classes[] = 'leftsidebar';
				$classes[] = 'page-has-sidebar';
			}
			if ($pagestyle=='nosidebar') {
				$classes[] = 'nosidebar';
			}
			if ($pagestyle=='edge-to-edge') {
				$classes[] = 'edge-to-edge';
			}
		} else {
			$classes[] = 'sidebar-not-set';
		}
	}

	return $classes;
}
add_filter( 'body_class', 'tamarind_body_class' );
//@ Page Menu
function tamarind_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'tamarind_page_menu_args' );
/*-------------------------------------------------------------------------*/
/* Excerpt Lenght */
/*-------------------------------------------------------------------------*/
function tamarind_excerpt_length($length) {
	return 80;
}
add_filter('excerpt_length', 'tamarind_excerpt_length');
// Open Graph
if( tamarind_get_option_data('opengraph_status') ) {
	add_filter('language_attributes', 'tamarind_opengraph_doctype');
	add_action( 'wp_head', 'tamarind_add_og_metatags', 5 );
}
/**
 * Register Sidebars.
 */
function tamarind_widgets_init() {
	// Default Sidebar
	register_sidebar(array(
		'name' => esc_html__('Default Sidebar','tamarind'),
		'id' => 'default_sidebar',
		'description' => esc_html__('Default sidebar selected for pages, blog posts and archives.','tamarind'),
		'before_widget' => '<div class="sidebar-widget"><aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Default Events Sidebar
	register_sidebar(array(
		'name' => esc_html__('Default Events Sidebar','tamarind'),
		'id' => 'events_sidebar',
		'description' => esc_html__('Default sidebar for events pages.','tamarind'),
		'before_widget' => '<div class="sidebar-widget"><aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	if ( class_exists( 'woocommerce' ) ) {
		// Default WooCommerce Sidebar
		register_sidebar(array(
			'name' => esc_html__('Default WooCommerce Sidebar','tamarind'),
			'id' => 'woocommerce_sidebar',
			'description' => esc_html__('Default sidebar for woocommerce pages.','tamarind'),
			'before_widget' => '<div class="sidebar-widget"><aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside></div>',
			'before_title' => '<h3>',
			'after_title' => '</h3>',
		));
	}

	// Dynamic Sidebar
	$max_sidebars = tamarind_get_max_sidebars();
	for ($sidebar_count=1; $sidebar_count <= $max_sidebars; $sidebar_count++ ) {
		if ( tamarind_get_option_data('mthemesidebar-'.$sidebar_count) <> '' ) {
			register_sidebar(array(
				'name' => esc_html( tamarind_get_option_data('mthemesidebar-'.$sidebar_count) ),
				'description' => esc_html( tamarind_get_option_data('theme_sidebardesc'.$sidebar_count) ),
				'id' => 'mthemesidebar-' . esc_attr($sidebar_count),
				'before_widget' => '<div class="sidebar-widget"><aside id="%1$s" class="widget %2$s">',
				'after_widget' => '</aside></div>',
				'before_title' => '<h3>',
				'after_title' => '</h3>',
			));
		}
	}

	register_sidebar(array(
		'name' => esc_html__('Menu Social','tamarind'),
		'id' => 'social_header',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	// Mobile Menu
	register_sidebar(array(
		'name' => esc_html__('Mobile Social','tamarind'),
		'id' => 'mobile_social_header',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

	// Footer
	register_sidebar(array(
		'name' => esc_html__('Footer Single Column','tamarind'),
		'id' => 'footer_1',
		'before_widget' => '<div class="sidebar-widget"><aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

}
add_action( 'widgets_init', 'tamarind_widgets_init' );
/*-------------------------------------------------------------------------*/
/* Core Libraries */
/*-------------------------------------------------------------------------*/
function tamarind_load_core_libaries() {
	require_once (get_template_directory() . '/framework/admin/tgm/class-tgm-plugin-activation.php');
	require_once (get_template_directory() . '/framework/admin/tgm/tgm-init.php');
}
/*-------------------------------------------------------------------------*/
/* Theme Specific Libraries */
/*-------------------------------------------------------------------------*/
add_action('init','tamarind_load_theme_metaboxes');
function tamarind_load_theme_metaboxes() {
	require_once (get_template_directory() . '/framework/metaboxgen/metaboxgen.php');
	require_once (get_template_directory() . '/framework/metaboxes/page-metaboxes.php');
	require_once (get_template_directory() . '/framework/metaboxes/post-metaboxes.php');
	require_once (get_template_directory() . '/framework/metaboxes/food-metaboxes.php');
	require_once (get_template_directory() . '/framework/metaboxes/fullscreen-metaboxes.php');
	require_once (get_template_directory() . '/framework/metaboxes/events-metaboxes.php');
	require_once (get_template_directory() . '/framework/metaboxes/woocommerce-metaboxes.php');
}
/*-------------------------------------------------------------------------*/
/* Load Constants : Core Libraries : Update Notifier*/
/*-------------------------------------------------------------------------*/
tamarind_load_core_libaries();
/* Custom ajax loader */
add_filter('wpcf7_ajax_loader', 'tamarind_wpcf7_ajax_loader_icon');
function tamarind_wpcf7_ajax_loader_icon () {
	return  get_template_directory_uri() . '/images/preloader.png';
}
if ( function_exists( 'rev_slider_shortcode' ) ) {
	add_action( 'admin_init', 'tamarind_disable_revslider_notice' );
}
/**
* Disable revslider notice.
*/
function tamarind_disable_revslider_notice() {
	update_option( 'revslider-valid-notice', 'false' );
}
// WooCommerce Plugin is active.
if ( class_exists( 'woocommerce' ) ) {
	
	add_theme_support( 'woocommerce' );

	add_action('admin_init','tamarind_update_woocommerce_images');
	function tamarind_update_woocommerce_images() {
		global $pagenow;
		if( is_admin() && isset($_GET['activated']) && 'themes.php' == $pagenow ) {
			update_option('shop_catalog_image_size', array('width' => 300, 'height' => '', 0));
			update_option('shop_single_image_size', array('width' => 500, 'height' => '', 0));
			update_option('shop_thumbnail_image_size', array('width' => 180, 'height' => '', 0));
		}
	}

	add_action( 'woocommerce_before_shop_loop_item_title', 'tamarind_woocommerce_template_loop_second_product_thumbnail', 11 );
	// Display the second thumbnail on Hover
	function tamarind_woocommerce_template_loop_second_product_thumbnail() {
		global $product, $woocommerce;

		$attachment_ids = $product->get_gallery_image_ids();

		if ( $attachment_ids ) {
			$secondary_image_id = $attachment_ids['0'];
			echo wp_get_attachment_image( $secondary_image_id, 'shop_catalog', '', $attr = array( 'class' => 'mtheme-secondary-thumbnail-image attachment-shop-catalog woo-thumbnail-fadeOutUp' ) );
		}
	}

	if ( !is_admin() ) {
		add_filter( 'post_class', 'tamarind_product_has_many_images' );
	}
	// Add class to products that have a gallery
	function tamarind_product_has_many_images( $classes ) {
		global $product;

		$post_type = get_post_type( get_the_ID() );

		if ( $post_type == 'product' ) {

			$attachment_ids = $product->get_gallery_image_ids();
			if ( $attachment_ids ) {
				$secondary_image_id = $attachment_ids['0'];
				$classes[] = 'mtheme-hover-thumbnail';
			}
		}

		return $classes;
	}
	// Remove sidebars from Woocommerce generated pages
	function tamarind_woo_remove_sidebar_shop() {
		$shop_layout = false;
		$shop_layout = tamarind_get_option_data('mtheme_wooarchive_sidebar');
		if (tamarind_is_in_demo()) {
			if ( false != tamarind_demo_get_data('woo_style') ) {
				$shop_layout = tamarind_demo_get_data('woo_style');
			}
		}
		if ( is_shop() && !$shop_layout ) {
	    	remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar');
	    }
	    if ( is_product_category() && !$shop_layout ) {
	    	remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar');
	    }
	    if ( is_product() ) {
	    	remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar');
	    }
	}
	
	add_action('template_redirect', 'tamarind_woo_remove_sidebar_shop');

	add_filter( 'woocommerce_breadcrumb_home_url', 'tamarind_woo_custom_breadrumb_home_url' );
	function tamarind_woo_custom_breadrumb_home_url() {
		$home_url_path = home_url('/shop/');
		$home_url_path = esc_url($home_url_path);
		return $home_url_path;
	}
	function tamarind_woocommerce_category_add_to_products(){

	    $product_cats = wp_get_post_terms( get_the_ID(), 'product_cat' );

	    if ( $product_cats && ! is_wp_error ( $product_cats ) ){

	        $single_cat = array_shift( $product_cats );

	        echo '<h4 itemprop="name" class="product_category_title"><span>'. $single_cat->name . '</span></h4>';

		}
	}
	add_action( 'woocommerce_single_product_summary', 'tamarind_woocommerce_category_add_to_products', 2 );
	add_action( 'woocommerce_before_shop_loop_item_title', 'tamarind_woocommerce_category_add_to_products', 12 );

	function tamarind_remove_cart_button_from_products_arcvhive(){
		remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
	}

	function tamarind_remove_archive_titles() {
		return false;
	}
	add_filter('woocommerce_show_page_title', 'tamarind_remove_archive_titles');

	add_action( 'wp_enqueue_scripts', 'tamarind_remove_woocommerce_styles', 99 );
	function tamarind_remove_woocommerce_styles() {
		wp_dequeue_style( 'woocommerce_prettyPhoto_css' );
		wp_dequeue_script( 'prettyPhoto-init' );
	}

	/**
	 * Filter loop per page for shop
	 *
	 * @param string $tamarind_loop_shop_per_page Page number.
	 */
	function tamarind_filter_loop_shop_per_page( $tamarind_loop_shop_per_page ) {
		$tamarind_loop_shop_per_page = 12;
		return $tamarind_loop_shop_per_page;
	};

	add_filter( 'loop_shop_per_page', 'tamarind_filter_loop_shop_per_page', 10, 1 );

	// Change number or products per row to 3
	add_filter('loop_shop_columns', 'tamarind_loop_columns');
	if (!function_exists('tamarind_loop_columns')) {
		function tamarind_loop_columns() {
			$product_count = 4;
			$number_woo_columns = tamarind_get_option_data('woocommerce_columns');
			if ($number_woo_columns == 'three' ) {
				$product_count = 3;
			}
			return $product_count;
		}
	}

	// Remove rating from archives
	function tamarind_remove_ratings_loop(){
		remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
	}
	add_action('init','tamarind_remove_ratings_loop');

	remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );

	if ( !tamarind_get_option_data('mtheme_woocart_menu') ) {
		add_action('tamarind_header_woocommerce_shopping_cart_counter','tamarind_woocommerce_item_count', 10, 2);
		add_filter('woocommerce_add_to_cart_fragments', 'tamarind_woo_add_to_cart_fragment');
	}
	if (!function_exists('tamarind_woocommerce_item_count')) {
		function tamarind_woocommerce_item_count() {
			 
			global $woocommerce;
			if (isSet($woocommerce)) {
				if (isSet($woocommerce->cart)) {
					?>
			<div class="mtheme-header-cart cart">
				<span class="header-cart header-cart-toggle"><i class="feather-icon-cross"></i></span>
				<?php
				if ( $woocommerce->cart->cart_contents_count==0 ) {
				?>
				<div class="cart-contents">
						<div class="cart-empty">
						<?php _e('Your cart is currently empty.','tamarind'); ?>
						</div>		
				</div>		
				<?php
				}
				?>
			</div>
			<?php
				}
			}
		 
		}
	}
	if (!function_exists('tamarind_woo_add_to_cart_fragment')) {
		function tamarind_woo_add_to_cart_fragment( $fragments ) {
			global $woocommerce;

			ob_start();
			?>
			<div class="mtheme-header-cart cart">
				<span class="header-cart-close"><i class="feather-icon-cross"></i></span>
				<h3><?php _e('Your Cart','tamarind'); ?></h3>
				<?php
				if ( $woocommerce->cart->cart_contents_count==0 ) {
				?>
				<div class="cart-contents">
						<div class="cart-empty">
						<?php _e('Your cart is currently empty.','tamarind'); ?>
						</div>		
				</div>		
				<?php
				}
				?>
				<?php if(!$woocommerce->cart->cart_contents_count): ?>

				<?php else: ?>
				<div class="cart-contents">
					<?php foreach($woocommerce->cart->cart_contents as $cart_item): ?>
					<?php
					$allowedtags = array(
					    'span' => array(),
					    'class' => array(),
					);
					?>
					<div class="cart-elements clearfix">
						<a href="<?php echo get_permalink($cart_item['product_id']); ?>">
						<div class="cart-element-image">
							<?php $thumbnail_id = ($cart_item['variation_id']) ? $cart_item['variation_id'] : $cart_item['product_id']; ?>
							<?php echo get_the_post_thumbnail($thumbnail_id, 'gridblock-tiny'); ?>
						</div>
						<div class="cart-content-text">
							<span class="cart-title"><?php echo get_the_title($cart_item['product_id']); ?></span>
							<span class="cart-item-quantity-wrap"><span class="cart-item-quantity"><?php echo wp_kses( $cart_item['quantity'], $allowedtags); ?> x </span><?php echo wp_kses( $woocommerce->cart->get_product_subtotal($cart_item['data'], 1), $allowedtags); ?></span>
						</div>
						</a>
					</div>
					<?php endforeach; ?>
					<div class="cart-content-checkout">
						<div class="cart-view-link cart-buttons"><a href="<?php echo get_permalink(get_option('woocommerce_cart_page_id')); ?>"><?php _e('View Cart', 'tamarind'); ?></a></div>
						<div class="cart-checkout-link cart-buttons"><a href="<?php echo get_permalink(get_option('woocommerce_checkout_page_id')); ?>"><?php _e('Checkout', 'tamarind'); ?></a></div>
					</div>
				</div>
				<?php endif; ?>
			</div>
			<?php
			$header_cart = ob_get_clean();
			$fragments['div.cart'] = $header_cart;

			return $fragments;
		}
	}
}
?>