<?php
function tamarind_mobile_reserveration_button() {
	$reservation_button_title = tamarind_get_option_data('reservation_button_title');
	$reservation_page = tamarind_get_option_data('reservation_page');
	$header_page_data = get_post_custom( get_the_id() );
	$button_type = "text-is-default";
	if ( is_singular() ) {
		if (isSet($header_page_data['pagemeta_header_type'][0])) {
			$header_type = get_post_meta( get_the_id(), 'pagemeta_header_type', true);
			if ( $header_type == "overlay" ) {
				$button_type = "text-is-bright";
			}
		}
	}

	$reservation_button = '';
	if ($reservation_button_title<>"") {
		$button_link_start = '<div class="button-element sticky-menu-switch '.esc_attr($button_type).' opaque-button"><div class="mtheme-button">';
		$button_link_end = '</div></div>';
		$button_toggle = ' menu-button-toggle';
		if ($reservation_page<>'0') {
			$reservation_page_url = get_the_permalink($reservation_page);
			$button_link_start = '<a class="button-element sticky-menu-switch '.esc_attr($button_type).' opaque-button" href="'.esc_url($reservation_page_url).'"><div class="mtheme-button">';
			$button_link_end = '</div></a>';
			$button_toggle = '';
		}
		$reservation_button = '<div class="reservation-button-wrap reservation-button'. esc_attr($button_toggle).'">'.$button_link_start . $reservation_button_title . $button_link_end.'</div>';
	}
	return $reservation_button;
}

$mobile_menu_active = false;
$fallback_menu_active = false;
$mobile_menu_location = 'mobile_menu';
if ( has_nav_menu( 'mobile_menu' ) ) {
	$mobile_menu_active = true;
} else {
	if ( has_nav_menu( 'main_menu' ) ) {
		$mobile_menu_active = true;
		$fallback_menu_active = true;
		$mobile_menu_location = 'main_menu';
	}	
}
?>
<div class="responsive-menu-wrap">
	<?php
	if ($mobile_menu_active) {
	?>
	<nav id="mobile-toggle-menu" class="mobile-toggle-menu mobile-toggle-menu-close">
		<span class="mobile-toggle-menu-trigger"><span>Menu</span></span>
	</nav>
	<?php
	}
	$reservation_shortcode = tamarind_get_option_data('reservation_shortcode');
	$reservation_page = tamarind_get_option_data('reservation_page');
	if ($reservation_page=="") {
		$reservation_page = "0";
	}
	if ( $reservation_shortcode<>"" || $reservation_page<>'0' ) {
		echo tamarind_mobile_reserveration_button();
	}
	?>
	<div class="mobile-menu-toggle">
				<div class="logo-mobile">
						<?php
						$main_logo=tamarind_get_option_data('vmain_logo');
						$responsive_logo=tamarind_get_option_data('responsive_logo');
						$theme_style="light";

						if ($main_logo<>"" && $responsive_logo=="") {
							$responsive_logo = $main_logo;
						}

						if ($responsive_logo<>"") {
							$mobile_logo = '<img class="custom-responsive-logo logoimage" src="'.esc_url($responsive_logo).'" alt="'.esc_attr__('logo','tamarind').'" />';
						} else {
							if ( $theme_style == "light" ) {
								$mobile_logo = '<img class="logoimage" src="'.esc_url(get_template_directory_uri() . '/images/logo_responsive.png').'" alt="'.esc_attr__('logo','tamarind').'" />';
							} else {
								$mobile_logo = '<img class="logoimage" src="'.esc_url(get_template_directory_uri() . '/images/logo_responsive_alt.png').'" alt="'.esc_attr__('logo','tamarind').'" />';
							}
						}
						$home_url_path = home_url('/');
						echo '<a href="'.esc_url($home_url_path).'">' . $mobile_logo . '</a>';
						?>
				</div>
	</div>
</div>
<?php
if ($mobile_menu_active) {
?>
<div class="responsive-mobile-menu">
	<div class="vertical-footer-wrap">
		<?php
		if ( is_active_sidebar( 'mobile_social_header' ) ) {
		?>
		<div class="fullscreen-footer-social">
			<div class="login-socials-wrap clearfix">
			<?php
			dynamic_sidebar('mobile_social_header');
			?>
			</div>
		</div>
		<?php
		}
		?>
	</div>
	<?php
	// WPML
	$wpml_lang_selector_enable= tamarind_get_option_data('wpml_lang_selector_enable');
	if ($wpml_lang_selector_enable) {
	?>
	<div class="mobile-wpml-lang-selector-wrap">
		<div class="flags_language_selector"><?php tamarind_language_selector_flags(); ?></div >
	</div>
	<?php
	}
	?>
	<nav>
	<?php
	$custom_menu_call = '';
	$user_choice_of_menu = get_post_meta( get_the_id() , 'pagemeta_menu_choice', true);
	if ( tamarind_page_is_woo_shop() ) {
		$woo_shop_post_id = get_option( 'woocommerce_shop_page_id' );
		$user_choice_of_menu = get_post_meta( $woo_shop_post_id , 'pagemeta_menu_choice', true);
	}
	if ( isSet($user_choice_of_menu) && $user_choice_of_menu <> "default") {
		$custom_menu_call = $user_choice_of_menu;
	}
	// Responsive menu conversion to drop down list
	if ( function_exists('wp_nav_menu') ) { 
		wp_nav_menu( array(
		 'container' =>false,
		 'theme_location' => $mobile_menu_location,
		 'menu' => $custom_menu_call,
		 'menu_class' => 'mtree',
		 'echo' => true,
		 'before' => '',
		 'after' => '',
		 'link_before' => '',
		 'link_after' => '',
		 'depth' => 0,
		 'fallback_cb' => 'mtheme_nav_fallback'
		 )
		);
	}
	?>
	</nav>

	<?php
	$footer_vmenu = nl2br( tamarind_get_option_data( 'footer_vmenu' ) );
	$allowedtags = array(
	    'a' => array(
	        'href' => true,
	        'title' => true,
	    ),
	    'br' => array(),
	    'b' => array(),
	    'strong' => array(),
	);
	if ( is_active_sidebar( 'social_header' ) || $footer_vmenu<>"" ) {
	?>
	<div class="vertical-footer-wrap">
		<div class="vertical-footer-copyright"><?php echo wp_kses($footer_vmenu, $allowedtags); ?></div>
	</div>
	<?php
	}
	?>
	<div class="cleafix"></div>
</div>
<?php
}
?>